octave (8.4.0-1build1) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:44:28 +0100

octave (8.4.0-1) unstable; urgency=medium

  * New upstream version 8.4.0
  * mkoctfile-skip-options.patch: drop patch, applied upstream
  * Add lintian override for false positive related to documentation source
  * Remove no longer needed lintian overrides related to changelog trimming
  * Drop transitional liboctave-dev package
  * Drop old Breaks relationships
  * Drop workarounds for mipsel and kfreebsd-*, those archs have been removed
  * README.Debian:
    + update section about optimized BLAS implementations
    + mention the new XDG-compliant location for octaverc

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Nov 2023 11:10:01 +0100

octave (8.3.0-3) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: Update patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1052973)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Sep 2023 10:35:07 -0300

octave (8.3.0-2) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: New patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1050082)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 06:02:05 -0300

octave (8.3.0-1) unstable; urgency=medium

  * New upstream version 8.3.0
  * suitesparse7-part{1,2}.patch: drop patches, applied upstream
  * Update lintian override info format in d/octave.lintian-overrides on line 3.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Aug 2023 20:18:54 +0200

octave (8.2.0-6) unstable; urgency=medium

  * Re-enable SPQR on 32-bit architectures.
    suitesparse 1:7.1.0+dfsg-3 fixes the issue.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Aug 2023 18:44:22 +0200

octave (8.2.0-5) unstable; urgency=medium

  * Disable SPQR on 32-bit architectures.
    This is a (hopefully temporary) workaround for the breakage of suitesparse 7
    on those architectures.
    Also add a new suitesparse7-patch2.patch. (Closes: #1041460)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jul 2023 14:02:56 +0200

octave (8.2.0-4) unstable; urgency=medium

  * d/control: as an alternative to libopenblas0, recommend libblis4
    instead of libatlas3-base
  * suitesparse7.patch: new patch taken from upstream.
    Fixes compilation against suitesparse 7.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jul 2023 19:53:04 +0200

octave (8.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 01 Jul 2023 10:57:11 +0200

octave (8.2.0-2) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/debian_missing_handler.m: Update name of package liboctave-dev to
    octave-dev

  [ Sébastien Villemot ]
  * d/rules: enable link-time optimizations (LTO)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Jun 2023 20:42:13 +0200

octave (8.2.0-1) experimental; urgency=medium

  * New upstream version 8.2.0
  * d/control: add missing Breaks+Replaces of octave-dev on old liboctave-dev
    (Closes: #1033011)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Apr 2023 20:10:08 +0200

octave (8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Mar 2023 17:55:11 +0100

octave (8.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 8.0.90
  * d/copyright: reflect upstream changes
  * Build against PCRE2, now that it is supported (Closes: #1000011)
  * README.Debian: replace liboctave-dev by octave-dev
  * Replace Depends on libgl1-mesa-dev by libgl-dev
  * Replace (Build-)Depends on libncurses5-dev by libncurses-dev
  * Replace Build-Depends on libfontconfig1-dev by libfontconfig-dev
  * Bump S-V to 4.6.2
  * Add lintian overrides for national encoding tag in octave-common
  * Pass --disable-rpath to configure script

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Add overrides for debian-news-entry-has-unknown-version
  * d/octave-dev.lintian-overrides: Add override for
    hardening-no-fortify-functions

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Jan 2023 11:52:20 +0100

octave (7.3.0-1) unstable; urgency=medium

  * New upstream version 7.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Nov 2022 09:29:53 +0100

octave (7.2.0-1) unstable; urgency=medium

  * New upstream version 7.2.0
    In particular, fixes FTBFS due to missing header in randmtzig.cc.
    (Closes: #1016271)
  * Overhaul lintian overrides

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jul 2022 22:13:01 +0200

octave (7.1.90-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 7.1.90
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Jun 2022 17:51:22 +0200

octave (7.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Apr 2022 12:16:00 +0200

octave (7.1.0-1) experimental; urgency=medium

  * New upstream version 7.1.0
  * buffer-overflow.patch, drop-mutable-keyword.patch: drop patches,
    applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Apr 2022 17:47:14 +0200

octave (7.0.92-3) experimental; urgency=medium

  * buffer-overflow.patch: new patch taken from upstream

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Apr 2022 10:55:34 +0200

octave (7.0.92-2) experimental; urgency=medium

  * drop-mutable-keyword.patch: new patch taken from upstream
  * d/rules: no longer pass --disable-jit to configure, since the JIT has been
    removed

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Mar 2022 18:38:07 +0100

octave (7.0.92-1) experimental; urgency=medium

  * New upstream version 7.0.92
  * Enable java on riscv64
  * Fix day-of-week for changelog entry 2.1.31-2.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Mar 2022 16:54:06 +0100

octave (7.0.90-1) experimental; urgency=medium

  * New upstream version 7.0.90
  * d/copyright: reflect upstream changes
  * Add rapidjson-dev to Build-Depends (needed for new jsondecode/jsonencode)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jan 2022 15:38:44 +0100

octave (6.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Jan 2022 21:26:26 +0100

octave (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * d/control: fix indentation in description of octave-doc

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Nov 2021 11:06:00 +0100

octave (6.3.0-1) experimental; urgency=medium

  * New upstream version 6.3.0
  * Drop liboctave8 package.
    In octave 6.3.0, the SOVERSION of liboctinterp is bumped to 9, while
    liboctave remains at 8, so it’s no longer possible to distribute them in the
    same liboctave8 package. However, since .oct files no longer explicitly link
    against those shared libraries (since Octave 5), we are no longer forced to
    ship them as public libraries, and we can make them private (as does
    upstream). Consequently:
    – drop install_libraries_publically.patch
    – move the octave-abi-NN Provides to the main octave package
  * Rename liboctave-dev to octave-dev.
    This seems more logical, since there is no liboctave package anymore. Keep
    liboctave-dev as transitional package though.
  * Bump S-V to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Sep 2021 21:00:39 +0200

octave (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * d/copyright: reflect upstream changes
  * adjust-hg-version.patch: drop patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Mar 2021 12:22:24 +0100

octave (6.1.1~hg.2021.01.26-1) unstable; urgency=medium

  * New upstream version 6.1.1~hg.2021.01.26
  * adjust-hg-version.patch: update for new upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Jan 2021 12:47:31 +0100

octave (6.1.1~hg.2020.12.27-3) unstable; urgency=medium

  * Fix smoke autopkgtest for mercurial snapshot versioning scheme
  * Restore build dependency on sundials

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Jan 2021 13:05:13 +0100

octave (6.1.1~hg.2020.12.27-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Jan 2021 06:25:35 -0300

octave (6.1.1~hg.2020.12.27-1) experimental; urgency=medium

  * New upstream version 6.1.1~hg.2020.12.27
  * d/p/drop_versioned_binaries.patch: Refresh for new upstream version
  * d/p/adjust-hg-version.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 14:35:47 -0300

octave (6.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 10:07:00 +0100

octave (6.1.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 6.1.0
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.1
  * Drop transitional packages octave-htmldoc and octave-info

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for extra-license-file
  * d/octave-common.lintian-overrides: Add override for
    image-file-has-unexpected-name
  * d/octave.lintian-overrides: Use new tag name exit-in-shared-library

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Nov 2020 16:46:35 +0100

octave (6.0.90-1) experimental; urgency=medium

  * New upstream version 6.0.90
    - fix stack overflow in Java process reaper (Closes: #961681)
  * d/copyright: reflect upstream changes.
    Since copyright notices have been simplified, switch back to a manual method
    of aggregating them.
  * load-hdf5-string-crash.patch: drop patch, applied upstream
  * Bump SONAME to liboctave8

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Sep 2020 15:47:23 +0200

octave (5.2.0-3) unstable; urgency=medium

  * Rename /etc/octave.conf to /etc/octaverc, for consistency with upstream
    naming.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Jun 2020 10:15:25 +0200

octave (5.2.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * /etc/octave.conf now corresponds to the site-specific octaverc.
    Previously, it would correspond to the version-specific octaverc. The latter
    is not really meant to be locally modified.
  * Move debian_missing_handler.m to site-specific directory.
    This is more logical since it is now called from the site-specific octaverc.
    Also, this emphasizes the fact that it’s a Debian customization.
  * Bump to debhelper 13
    — drop B-D to dh-exec, instead use new variable substitution mechanism
    — dh_missing now defaults to --fail-missing
    — simplify override_dh_auto_test rule
  * d/rules:
    — enable dh_dwz, it seems to work now
    — simplify using debhelper 12.8’s execute_after_* rules
  * d/control: add Breaks against octave-nlopt < 2.6.1-8~
    Former version of the package would need recompiling against every new
    Octave version.
  * Cosmetic fixes to capitalization of MATLAB®
  * d/upstream/metadata: various improvements

  [ Rafael Laboissière ]
  * d/p/load-hdf5-string-crash.patch: New patch.
    Thanks to Elvis Stansvik for the patch
    (Closes: #959109)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 May 2020 22:43:17 +0200

octave (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0
  * Replace libopenblas-base by libopenblas0 in Recommends
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.0
  * Do not Build-Depend on default-jdk on archs that do not have it.
    Also remove always-build-octave-jar.patch. Rather make build-indep rules
    fail on archs for which we do not support Java.
    Thanks to Samuel Thibault (Closes: #947959)
  * Remove texinfo.patch, no longer needed since Automake 1.16 is the default
  * Remove unused d/source/include-binaries
  * Use the .patch extension for all patches

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Feb 2020 13:05:00 +0100

octave (5.1.0-4) unstable; urgency=medium

  * The liboctaveN package provides now the virtual package octave-abi-MM
  * d/s/options: Add *.qch and *.qhc to the list of ignored files

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 31 Oct 2019 02:02:46 -0300

octave (5.1.0-3) unstable; urgency=medium

  * On mipsel, disable debugging symbols.
    Otherwise, it FTBFS because the assembler hits the virtual space memory
    limit of 2Gb.
  * Drop provisions for the now obsolete mips architecture

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 01 Oct 2019 21:34:08 +0200

octave (5.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: add entry for etc/fonts/* (Closes: #926047)
  * Bump to S-V 4.4.1

  [ Rafael Laboissiere ]
  * d/control: Build-depend on texlive-plain-generic, instead of
    -generic-recommended (Closes: #932975)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Sep 2019 22:03:24 +0200

octave (5.1.0-1) experimental; urgency=medium

  * New upstream version 5.1.0
  * Update d/copyright

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Feb 2019 18:01:12 +0100

octave (5.0.91-1) experimental; urgency=medium

  * New upstream release candidate
  * Update d/copyright
  * unimplemented-functions.patch: drop patch, applied upstream
  * Bump SONAME to liboctave7
  * debian_missing_handler.m: point to octave-doc instead of octave-info
  * d/upstream/signing-key.asc: shrink key to a minimal version
  * Bump to debhelper compat level 12
    + disable dh_swz, it fails with a cryptic error message
    + some stuff is now installed under /usr/libexec
  * Add --fail-missing flag to dh_missing, so that we don't forget something.
    As a consequence, we now ship octave.pc and octinterp.pc in liboctave-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Feb 2019 16:26:56 +0100

octave (4.4.1-4) unstable; urgency=medium

  * Add libglu1-mesa-dev to Build-Depends. This is necessary to have
    OpenGL support on armel and armhf (on other archs, it is pulled in by
    qtbase5-dev). Thanks to Adrian Bunk (Closes: #918616)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 Jan 2019 10:30:45 +0100

octave (4.4.1-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/README.Debian: Fix wording regarding the use of the "pkg install" command
  * d/README.Debian: Document the necessity of the "pkg load" command
    (Closes: 914373)
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)
  * Build-depend on debhelper-compat instead of using d/compat

  [ Mike Miller ]
  * Ensure that Octave includes important features
    - d/t/builtin-features: New test for builtin features.
    - d/t/control: Include builtin-features in autopkgtest suite.
    - d/rules: Call builtin-features after standard test suite.
    (Closes: #916979)

  [ Sébastien Villemot ]
  * unimplemented-functions.patch: update the list of unimplemented functions
    (Closes: #914391)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Jan 2019 10:45:09 +0100

octave (4.4.1-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added references to scientific software registries.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Oct 2018 10:12:52 +0200

octave (4.4.1-1) experimental; urgency=medium

  * New upstream version 4.4.1
    - this is no longer a release candidate (Closes: #906047)
  * Bump SOVERSION of liboctave (5→6)
  * Drop missing-inplace_edit.patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Aug 2018 21:24:23 +0200

octave (4.4.1~rc2-3) unstable; urgency=medium

  * Re-disable java on mipsel

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 Aug 2018 15:03:08 +0200

octave (4.4.1~rc2-2) unstable; urgency=medium

  * Re-disable java on mips and powerpc

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 Aug 2018 09:25:14 +0200

octave (4.4.1~rc2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no

  [ Sébastien Villemot ]
  * New upstream release candidate 4.4.1~rc2
    + compiles against Qt 5.11 (Closes: #904855)
  * d/copyright: reflect upstream changes
  * Drop assume-blas-integer-size.patch, no longer needed
  * missing-inplace_edit.patch: new patch, adds missing script in tarball
  * Temporarily drop Build-Depends on libsundials-dev.
    Octave 4.4 is not compatible with Sundials 3.1 (and the latter currently
    FTBFS on several architectures).
  * d/tests/smoke: adapt test for release candidates version numbers
  * Replace transfig by fig2dev in Build-Depends
  * Register info files into doc-base
  * Bump Standards-Version to 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 10:19:41 +0200

octave (4.4.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 19:54:56 +0200

octave (4.4.0-2) experimental; urgency=medium

  [ Mike Miller ]
  * Save test suite log file as an autopkgtest artifact.
  * d/t/control: Add test dependency on fonts-freefont-otf
  * assume-blas-integer-size.patch: new patch, fixes FTBFS on big endian arches.
  * d/clean: Clean generated gperf files in libgnu so they are rebuilt.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 11:51:18 +0200

octave (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0
  * Simplify autopkgtest using AUTOPKGTEST_TMP.
  * Disable java again on armel.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 May 2018 11:17:57 +0200

octave (4.3.92-1) experimental; urgency=medium

  * New upstream version 4.3.92
  * octave-common now Recommends fonts-freefont-otf (previously was a Depends).
    It takes either a severely broken system configuration, or a user intentionally
    using a very limited Fontconfig configuration, to require fallback fonts.
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream: add_info_dir_categories, abi-bump.patch.
  * Java changes:
    + no longer rely on javahelper to detect Java location, because of #896438.
    + disable java on arches that don't have OpenJDK 9: kfreebsd-*, riscv64.
    + re-enable java on armel, m68k, mips, mipsel, powerpc, sparc64, for testing
      purposes.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 30 Apr 2018 11:33:27 +0200

octave (4.3.91-1) experimental; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Remove the unnecessary get-orig-source target
  * d/control: Bump Standards-Version to 4.1.4

  [ Sébastien Villemot ]
  * d/watch: use pre-defined regexps for version number and archive extension.
  * New upstream version 4.3.91
    + now built by default with --enable-64 (Closes: #779943)
    + no longer fetch network resources when network disabled (Closes: #876363)
  * d/copyright: reflect upstream changes.
    d/copyright-scan-patterns.yml, d/fill.copyright.blanks.yml: new files, to
    support the updating of the copyright file with "cme update dpkg-copyright".
  * Drop patches applied upstream:
    + add-corrcoef-function.patch
    + appstream-upgrade-spec.patch
    + java9.patch
  * Add libsundials-dev to Build-Depends.
  * texinfo.patch: new patch, prevents the regeneration of texinfo.tex.
    Octave needs a version of this file newer than the one shipped with
    automake-1.15.
  * Bump SOVERSION of liboctave (4->5)
    abi-bump.patch: new patch taken from upstream, will be in the final 4.4
    release.
  * Remove unused override for JAR file in source tarball.
  * octave-common now Depends on fonts-freefont-otf for fallback fonts.

  [ Mike Miller ]
  * d/control: Add qttools5-dev to Build-Depends.
  * d/control: Remove libosmesa6-dev from Build-Depends.
    Octave now prefers Qt QOffscreenSurface to OSMesa for figures with
    visible=off.
  * d/rules: Build with the location of fonts-freefont-otf package.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Apr 2018 12:10:43 +0200

octave (4.2.2-2) unstable; urgency=medium

  * Rebuild against java 9 (Closes: #894349)
  * Drop patches no longer needed:
    + hdf5-flags.patch
    + hdf5-mkoctfile.patch
    + mkoctfile-mpi.diff

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 Apr 2018 22:05:56 +0200

octave (4.2.2-1) unstable; urgency=medium

  [ Mike Miller ]
  * Use secure URLs for upstream source and docs.
  * Add autopkgtest test suite

  [ Sébastien Villemot ]
  * New upstream version 4.2.2
    - octave.desktop.in: fixes repetition of Name in Comment field and start
      I10n (Closes: #889739)
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream: strncmp.patch, qscintilla-rename.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Mar 2018 11:43:36 +0100

octave (4.2.1-7) unstable; urgency=medium

  * Add missing Breaks+Replaces on octave-doc against octave-{info,htmldoc}.
    (Closes: #890229)
  * octave now Recommends epstool (which is used by print.m). (Closes: #889797)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Feb 2018 10:39:08 +0100

octave (4.2.1-6) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Merge octave-{htmldoc,info} into octave-doc (and make them transitional).
  * octave now Suggests liboctave-dev, and liboctave-dev now Enhances octave.
  * doc-base handle for reference card is now "octave-refcard".

  [ Rafael Laboissiere ]
  * d/control:
    - Use Debian's GitLab URLs in Vcs-* headers
    - Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 07:04:14 -0200

octave (4.2.1-5) unstable; urgency=medium

  * Disable java on powerpc, fixes FTBFS on that arch.
  * Adapt for new QScintilla library naming scheme.
    + qscintilla-rename.patch: new patch.
    + Now Build-Depends on libqscintilla2-qt5-dev.
    Thanks to Scott Kitterman (Closes: #886195)
  * Bump Standards-Version to 4.1.3.
  * Use secure URL in debian/watch.
  * Do not run debhelper in verbose mode.
  * Convert d/upstream/signing-key.pgp to .asc format.
  * Bump to debhelper compat level 11.
    Incidentally, all documentation is now under /usr/share/doc/octave.
  * No longer rename *.png files under /usr/share/info/. (Closes: #816534)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Jan 2018 15:41:31 +0100

octave (4.2.1-4) unstable; urgency=medium

  * Disable java on armel, fixes FTBFS on that arch.
  * Enable java on kfreebsd-*.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Sep 2017 09:35:16 +0200

octave (4.2.1-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/strncmp.patch: new patch, makes strncmp case-sensitive again.
    Thanks to Thierry Rascle (Closes: #867212)
  * d/rules: drop --max-parallel workaround to dh_auto_install.
    As a consequence, build-depend on debhelper ≥ 10.3.
  * Set gnuplot-qt as the preferred gnuplot alternative, also add gnuplot-nox.
  * d/control: drop useless Breaks on liboctave{1,2,3}.
  * d/watch: revert to xz format only.
    The dropping of .xz in 4.2.0 was an accident, now repaired. And if we also
    check for .gz, it takes precedence, which is not what we want.
  * Enforce generic BLAS.
    Avoids tying the binary to OpenBLAS or ATLAS.
  * No longer run the testsuite using xvfb-run.
    This fixes SIGILL with Qt5.
  * Install back the PDF files of the octave-doc package in
    /usr/share/doc/octave-doc. This fixes FTBFS with DEB_BUILD_OPTIONS=nodoc.
    The PDF will be moved again to /usr/share/doc/octave when we bump to
    debhelper compat level 11.
  * java9.patch: new patch, fixes FTBFS with Java 9. (Closes: #873996)

  [ Mike Miller ]
  * d/control: drop useless Build-Depends on libftgl-dev. (Closes: #870657)
  * d/control: Build-Depends on bison, gperf, icoutils, librsvg2-bin.
  * d/clean: List files in the source distribution that should be rebuilt.
    (Closes: #870690)
  * d/control: Build-Depend on Qt 5 libraries, drop Qt 4 equivalents.
    (Closes: #875063)
  * d/control: drop obsolete Conflicts/Replaces against octave-java.
  * d/octave.postinst: run /usr/bin/octave explicitly to build package cache.

  [ Rafael Laboissiere ]
  * d/u/metadata: Change type of reference to "manual"
  * d/u/metadata: Use BibTeX format in Author field
  * d/u/metadata: Update reference for version 4.2.0
  * d/p/add-corrcoef-function.patch: New patch
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Sep 2017 17:34:32 +0200

octave (4.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add missing icons in octave-common.
  * Ship AppStream metadata.
    In particular, introduce new patch d/p/appstream-upgrade-spec.patch to
    conform with most recent AppStream specification. (Closes: #825803)
  * d/copyright: use secure URL for format.
  * d/control:
    + Replace the long list of versioned Breaks with a Breaks against
      liboctave3v5.
    + Remove several unnecessary versioned dependencies.
    + Drop obsolete libcurl4-dev alternative in Build-Depends.
    + Replace libreadline{5,6}-dev by libreadline-gplv2-dev in liboctave-dev
      deps.
    + Mark octave-{common,doc,htmldoc,info} as M-A foreign.
    + Bump Standards-Version to 4.0.0.
  * octave-htmldoc: install HTML files using dh_installdocs.
    Incidentally, this implies a change in the path for this
    documentation.
  * d/rules:
    + Support the "nodoc" tag of DEB_BUILD_OPTIONS.
    + Support the "nocheck" tag of DEB_BUILD_OPTIONS.
  * Minor simplifications to {liboctave-dev,octave-common}.install.
  * d/octave.triggers: Use a -noawait type of trigger.
    So far the trigger for Octave Forge packages was implicitly of the -await
    type. Lintian now complains about this, and asks to explicitly make a choice
    between the -await and -noawait types (the latter being easier to manage for
    dpkg). Since Octave Forge packages can be configured before the trigger is
    activated, we go for the -noawait type.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 30 Jun 2017 12:57:58 +0200

octave (4.2.1-1) experimental; urgency=medium

  * New upstream version 4.2.1
  * d/copyright: reflect upstream changes.
  * d/p/drop-url-to-sf-logo.patch: drop patch, no longer needed.
  * d/watch: bump to format version 4.
  * Bump to debhelper compat level 10.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Feb 2017 12:28:25 +0100

octave (4.2.0-2) experimental; urgency=medium

  * d/octave.conf:
    + Use recommended __octave_config_info__ function
    + Remove deprecated package autoloading (Closes: #850002)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 03 Jan 2017 22:07:06 -0200

octave (4.2.0-1) experimental; urgency=medium

  * New upstream version 4.2.0 (Closes: #845112)
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused override
  * d/octave.lintian-overrides: Drop unused overrides
  * d/u/metadata: Add citation
  * d/watch: Add .gz as a possible extension for the upstream tarball
  * d/control: (Build-)Depends on gnuplot >= 4.4
  * Bump the SONAME liboctave3v5 to liboctave4
  * Drop patches:
    + d/p/no_pdf_in_print.diff: gnuplot can now export in PDF format
    + d/p/gcc-6-abs-overload.patch: Octave compiles now with GCC v6
    + d/p/gcc-6-include-math-stdlib.patch: ditto
  * Refresh patches for new upstream version:
    + d/p/always-build-octave-jar.patch
    + d/p/drop_versioned_binaries.diff
    + d/p/hdf5-flags.patch
    + d/p/hdf5-mkoctfile.patch
    + d/p/install_libraries_publically
    + d/p/mkoctfile-mpi.diff
  * d/octave.install: Do not use dh-exec
  * d/rules: Avoid triggering the build of Bison-generated files
  * d/p/drop-url-to-sf-logo.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 27 Nov 2016 21:34:38 -0200

octave (4.0.3-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/liboctave3v5.lintian-overrides: Update SOVERSIONs of shared libraries

  [ Mike Miller ]
  * Fix FTBFS with GCC 6.
    + d/p/gcc-6-abs-overload.patch: Work around abs overload changes.
    + d/p/gcc-6-include-math-stdlib.patch: Fix gnulib header file overrides.
    (Closes: #831120)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Aug 2016 23:32:15 +0200

octave (4.0.3-1) unstable; urgency=medium

  * Imported Upstream version 4.0.3
  * d/copyright: Reflect upstream changes
  * d/p/install_libraries_publically: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Jul 2016 00:40:13 -0300

octave (4.0.2-1) unstable; urgency=medium

  * Imported Upstream version 4.0.2
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Apr 2016 17:12:34 +0200

octave (4.0.1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.1
  * d/p/drop_versioned_binaries.diff: add back hunk for src/main.in.cc.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Mar 2016 22:10:04 +0100

octave (4.0.1~rc4-1) experimental; urgency=low

  * Imported Upstream version 4.0.1~rc4
    + This version fixes the interaction with gnuplot v5 (Closes: #805295).
    + Also, it also fixes a HDF5 regression (Closes: #815597).
  * d/p/drop_versioned_binaries.diff: Refresh for new upstream version
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7
  * Install the PDF files of the octave-doc package in /usr/share/doc/octave.
    This is now recommended by the Debian Policy, version 3.9.7 (section
    12.3).
  * d/rules: Avoid triggering the build of oct-gperf.h
  * d/octave.lintian-overrides: Add override for shlib-calls-exit
  * d/p/octave-pkgbuilddir.patch: New patch.
    This patch replaces the patch enable_dirs_in_pkg.  It introduces a
    better change in pkg/private/install.m that allows packages to be
    built in place and avoid unreproducible builds due to temporary build
    directories appearing in the .oct files.
  * d/octave-doc.install: Drop useless call to dh-exec

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 14 Mar 2016 16:01:37 +0100

octave (4.0.1~rc2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.1~rc2
  * d/octave.menu: Drop menu file per the tech-ctte decision on Bug#741573
  * d/control: Drop useless build-dependency on gperf
  * d/s/lintian-overrides:
    + Add override for source-contains-autogenerated-gperf-data
    + Add override for unknown variable in d/octave-common.install
    + Add override for source-contains-prebuilt-java-object
    + Add override for dh-exec-useless-usage in d/octave.dirs
  * Add Lintian overrides for empty directories
  * d/liboctave3v5.lintian-overrides: Remove obsolete Lintian override.
    Lintian identifies now the "v5" suffix related to the GCC-5 /
    libstdc++6 transition.
  * d/octave-info.lintian-overrides: Remove obsolete Lintian override.
    The info files are shipped again in compressed form since version
    4.0.0-rc3-1 of the package.
  * d/liboctave3v5.lintian-overrides: Add file
  * d/rules: Avoid useless call of ldconfig in the triggers script
  * d/octave-htmldoc.menu: Remove obsolete file

  [ Sébastien Villemot ]
  * Drop octave-dbg package, now rely on automatic debug packages.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Jan 2016 17:27:49 +0100

octave (4.0.1~rc1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.1~rc1
  * d/p/xbackslash-texinfo.patch: Drop patch (applied upstream)
  * d/p/dont-use-included-texinfo-texmfcnf.patch: Drop patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Dec 2015 10:43:56 +0100

octave (4.0.0-5) unstable; urgency=medium

  * d/control: replace libhdf5-mpich2-dev by libhdf5-mpich-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Oct 2015 10:05:15 +0200

octave (4.0.0-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Rename liboctave3 to liboctave3v5 for g++-5 transition. (Closes: #797992)
  * d/control: promote octave-info to Recommends of octave.
    It is needed by the GUI help browser. (Closes: #793524)

  [ Mike Miller ]
  * Downgrade default-jre-headless from Depends to Recommends.
    Thanks to Alois Schloegl for the suggestion (Closes: #742503)
  * Disable java on hppa, m68k, and sparc64 ports. Fixes FTBFS on those archs.
    (Closes: #792869)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Sep 2015 00:03:52 +0200

octave (4.0.0-3) unstable; urgency=low

  * Restore the long list of Breaks with a single Breaks against liboctave2.
    Otherwise there are various upgrade failures.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jul 2015 22:17:39 +0200

octave (4.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix FTBFS with texinfo 6.
    - Add texlive-fonts-recommended to build-depends (needed for texinfo 6)
    - Add debian/patches/dont-use-included-texinfo-texmfcnf.patch and
      xbackslash-texinfo.patch (Patches thanks to Norbert Preining and
      Mike Miller) (Closes: #790533)
  * Replace the long list of Breaks with a single Breaks against liboctave2.
    This should work now that #671711 is fixed in Jessie and later.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 14:20:22 +0200

octave (4.0.0-1) experimental; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 4.0.0
  * d/watch: support the xz extension for upstream tarball.

  [ Rafael Laboissiere ]
  * Build-Depends on libsndfile1-dev and portaudio19-dev.
    This makes the audioinfo, audioread and audiowrite functions for
    reading and writing audio files, as well as the audioplayer,
    audiorecorder classes and audiodevinfo function for audio playback and
    recording fully functional.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Jun 2015 14:17:23 +0200

octave (4.0.0~rc4-1) experimental; urgency=low

  * Imported Upstream version 4.0.0~rc4
  * d/p/bump-soname.patch: drop patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Apr 2015 21:38:17 +0200

octave (4.0.0~rc3-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.0~rc3
    In this new upstream version, the config.log file generated at build
    time is no longer included in octave-common (Closes: #759426).
  * d/p/drop_versioned_binaries.diff: Refresh for new upstream version
  * d/p/install_libraries_publically: Refresh for new upstream version
  * d/p/always-build-octave-jar.patch: Refresh for new upstream version
  * d/p/hdf5-flags.patch: Refresh for new upstream version
  * d/p/mkoctfile-infinite-loop.patch: Drop patch (applied upstream)
  * d/liboctave-dev.examples: Adjust for new upstream layout
  * Build-Depends on Qt4 libraries (needed for new GUI)
  * Build-Depends on zip and unzip (needed for unit testing in zip.m)
  * Add myself to Uploaders
  * Build-Depends on MesaOS (needed for OpenGL offscreen rendering)
    It is now possible to use the print command on figures with
    visible=off (Closes: #740449).
  * Bump Breaks relationships for packages shipping .oct files
  * d/rules: compress info files, complying with the Policy.
    The upstream problem of GUI freeze when accessing the compressed info
    files has been fixed upstream. (Closes: #764809)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes.
  * d/p/hurd_path_max.diff: drop patch (applied upstream).
  * d/p/dblquad-s390x.diff: drop patch (no longer needed).
  * Add entry in d/NEWS (GUI now by default, pkg autoload disabled).
  * Bump SONAME of liboctave (2->3).
    - d/p/bump-soname.patch: patch to anticipate the bump by upstream.
    - d/control, d/liboctave?.install: rename the package
  * Remove obsolete Conflicts/Replaces against octave3.2* packages.
  * Reactivate java support on armhf. It had been incorrectly disabled:
    the testsuite crash was actually caused by #767138, not by java.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 24 Apr 2015 16:08:00 +0200

octave (3.8.2-4) unstable; urgency=medium

  * mkoctfile-infinite-loop.patch: fix infinite loop of mkoctfile -M on
    platforms where char is unsigned. (Closes: #770192)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 01 Dec 2014 21:25:52 +0100

octave (3.8.2-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Do not compress info files, avoiding the freeze of Octave GUI
    (Closes: #762078)

  [ Sébastien Villemot ]
  * Drop dependency on default-jre-headless on mips.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * liboctave-dev: no longer ship Makefiles under examples directory.
    (Closes: #759427)
  * Add lintian-overrides for uncompressed info files.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Oct 2014 21:03:40 +0200

octave (3.8.2-2) unstable; urgency=medium

  * Disable java on mips. (Closes: #759663)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Aug 2014 22:39:52 +0200

octave (3.8.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.8.2
    - statistics() function adapted to new signature of kurtosis() and
      skewness() functions. (Closes: #755882)
    - no longer pass -mieee flag to moc-qt4, should fix FTBFS on alpha.
      (Closes: #746924)
  * debian/copyright: reflect upstream changes.
  * Remove Thomas Weber from Uploaders. Thanks Thomas for your work!
  * Recommend OpenBLAS over ATLAS as the optimized BLAS library.
    OpenBLAS is a better default because its generic binary is able to
    dynamically select the kernel specialized for the current CPU, while ATLAS
    needs to be recompiled. However, OpenBLAS is not present on some
    architectures, so ATLAS will remain the default on those.
  * Allow virtual packages liblapack.so and libblas.so to satisfy dependencies
    of liboctave-dev. (Closes: #757237)

  [ Gilles Filippini ]
  * Support hdf5 1.8.13 new packaging layout. (Closes: #756689)
    New patches:
    - hdf5-flags.patch to fix a couple of makefiles regarding
      new paths;
    - hdf5-mkoctfile.patch to fix hdf5 path when building octave
      modules.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Aug 2014 12:19:21 +0200

octave (3.8.1-3) unstable; urgency=medium

  [ Thomas Weber ]
  * Correct typo in bugnumber in NEWS file (closes: #746534)

  [ Sébastien Villemot ]
  * Deactivate java support on armhf. Fixes FTBFS there.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 10 May 2014 10:40:26 +0200

octave (3.8.1-2) unstable; urgency=medium

  [ Mike Miller ]
  * Disable JIT on all archs to fix LLVM library conflicts.
    (Closes: #743260, #739903)

  [ Sébastien Villemot ]
  * Mention the disabling of JIT in NEWS.Debian.
  * Add a Breaks for octave-fixed. The package has been removed from
    unstable, but people upgrading from Wheezy may still have it.
    (Closes: #744244)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Apr 2014 10:48:05 +0200

octave (3.8.1-1) unstable; urgency=medium

  * Imported Upstream version 3.8.1
    + libgui/src/main-window.cc: Fix problems with gui startup and focus issues
      (Closes: #738672)
    + scripts/pkg/private/fix_depends.m: Fix installing packages where
      dependency name contains '-' (Closes: #740984)
  * debian/copyright: reflect upstream changes.
  * octave.postinst: remove workaround for #681064 (package dir re-creation).
    (Closes: #681461)
  * Remove patches applied upstream:
    + doc-compressed-info.diff
    + kfreebsd_tcgetattr.diff
    + octave-cli-manpage.diff
    + save-uint8-in-text-format.diff
  * mkoctfile is now an executable binary instead of a shell script.
    + mkoctfile-mpi.diff: adapt for new format of mkoctfile.
    + d/control: add shlibs:Depends to liboctave-dev.
  * Fix statement about the GUI in NEWS.Debian.
  * debian/control: don't mention the FAQ in descriptions, it has been removed.
  * Adapt to the fact that JIT is now disabled by default in ./configure script.
  * Disable JIT on hurd-i386, LLVM not available there.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 10 Mar 2014 17:32:29 +0100

octave (3.8.0-5) unstable; urgency=medium

  * Re-enable java on amd64, i386 and mips (was disabled by mistake).
  * Ensure that octave-common always contains octave.jar.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2014 20:41:26 +0100

octave (3.8.0-4) unstable; urgency=medium

  * Disable java on kfreebsd-* and sparc. Fixes FTBFS on those archs.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Feb 2014 14:09:30 +0100

octave (3.8.0-3) unstable; urgency=medium

  * Upload to unstable.
  * No longer set pkg prefix in /etc/octave.conf. (Closes: #536839)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 22:17:24 +0100

octave (3.8.0-2) experimental; urgency=medium

  [ Mike Miller ]
  * Disable Java on mipsel, using openjdk causes bus error.
  * Disable Java on hurd-i386.

  [ Rafael Laboissiere ]
  * save-uint8-in-text-format.diff: new patch, fixes saving int8 and uint8 in
    plain text format (Closes: #732659)
  * Make octave break an explicit list of packages instead of liboctave1.
    Adding a Breaks on liboctave1 breaks upgrades from octave 3.6, because of
    #671711.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Jan 2014 20:49:20 +0100

octave (3.8.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.8.0
    + octave-gui is no longer shipped in /usr/bin.
  * Run testsuite within Xvfb, to avoid failures due to lack of DISPLAY.
  * dblquad-s390x.diff: new patch, fixes FTBFS on s390x.
  * Indicate that octave breaks liboctave1.
    A package compiled against liboctave1 can not be used with the octave 3.8
    interpreter.
  * Disable JIT on armel, armhf, mips, mipsel, powerpc. Should fix FTBFS
    on these archs.

  [ Mike Miller ]
  * debian_missing_handler.m: Fix liboctave-dev package name.
  * Build-depend on javahelper, use to configure default Java paths.
  * doc-compressed-info.diff: Add patch from upstream.
    Fixes the doc command to work correctly with compressed info files.
  * kfreebsd_tcgetattr.diff: new patch, fixes FTBFS on kFreeBSD.
  * hurd_path_max.diff: new patch, fixes FTBFS on Hurd.

  [ Rafael Laboissiere ]
  * Add Lintian override file for dh-exec-subst-unknown-variable warning
  * New patch patches/octave-cli-manpage.diff: Add manpage for
    octave-cli (taken from the upstream SCM repository).

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Jan 2014 13:45:32 +0100

octave (3.8.0~rc2-1) experimental; urgency=medium

  * Imported Upstream version 3.8.0~rc2
  * missing-example.diff: drop patch, no longer needed.
  * debian/rules: fix binary-arch rule.
  * Consolidate all patches relative to dropping version numbers in binaries.
    The new consolidated patch is drop_versioned_binaries.diff.
    Also drops versions numbers in calls from src/main.in.cc.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 13:33:58 +0100

octave (3.8.0~rc1-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream release candidate, which fixes the following bugs:
     - Function pkg.m works correctly when promoting warnings to errors
       (Closes: #693873)
     - Sparse matrices A(n,n) behave correctly when n is a multiple of
       65536=2^16 (Closes: #706376)
     - Function interpft does not fail when downsampling (Closes: #706640)
     - Function print correctly handles option -d<device> when no file
       name is given (Closes: #710423)
     - Documentation for function triangle_lw (and others) is removed
       from the manual (Closes: #721802)
     - Subfunctions are deleted from the table of symbols when deleting
       the parent function (Closes: #725442)
  * debian/copyright: reflect upstream changes.
  * Remove patches applied upstream or no longer needed:
     + contourc-stack-overflow.diff
     + correct_typos
     + gcc-4.8.diff
     + glpk-4.49.diff
     + texinfo5.diff
     + use_system_gl2ps
  * Refresh other patches.
  * The Octave FAQ is no longer part of upstream tarball, don't try to ship it.
  * Add LLVM, QScintilla and the default JDK to build dependencies.
    Also make octave depend on the default headless JRE.
  * Bump SONAME of library package to liboctave2.
    Also stop distributing libcruft, which no longer exists.
  * missing-example.diff: new patch, adds back a file omitted in upstream
    tarball.
  * Ship octave-cli and octave-gui in the octave package.
  * Add breaks/conflicts + replaces on octave-java and octave-io.
  * Ship *.png files used in info doc, using an "octave-" prefix for filenames.
  * debian/watch: add automatic verification of PGP signature.
  * Merge README.Atlas into README.Debian.
  * Document the GUI and the JIT in NEWS.Debian.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * debian/octave.conf: Do not use obsolete function read_readline_init_file
  * Add a Debian-specific error handler

  [ Thomas Weber ]
  * Change priority from 'extra' to 'optional'

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Dec 2013 20:49:52 +0100

octave (3.6.4-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Drop useless build-dependency on texi2html

  [ Sébastien Villemot ]
  * Use canonical address for packaging VCS
  * glpk-4.49.diff: new patch, fixes FTBFS against recent versions of GLPK
    (Closes: #714360)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Aug 2013 14:12:46 +0200

octave (3.6.4-3) unstable; urgency=low

  * gcc-4.8.diff: new patch, fixes compilation of C++ MEX files with GCC 4.8
    (Closes: #705485)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2013 14:52:45 +0200

octave (3.6.4-2) unstable; urgency=low

  * Adapt for Texinfo 5
    - add_info_dir_categories: use @dircategory in the patch
    - texinfo5.diff: new patch, fixes compatibility issues with Texinfo 5
  * Upgrade to FLTK 1.3

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 May 2013 12:42:41 +0200

octave (3.6.4-1) experimental; urgency=low

  * Imported Upstream version 3.6.4
  * debian/copyright: add missing information about Fortran files
  * Remove patches applied upstream:
    + rcond.patch
    + fix-sparse-unit-testing.patch
  * Refresh other patches
  * Tighten dependency of octave on liboctave1 (Closes: #691311)
  * Recommend pstoedit (needed by plot/print.m)
  * contourc-stack-overflow.diff: new patch, fixes segfault in contourc
    (Closes: #695434)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Feb 2013 19:35:40 +0100

octave (3.6.3-2) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/patches/fix-sparse-unit-testing.patch: Add patch

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * debian/rules: add missing dependency information for dh_makeshlibs.
    The latest backward-compatible API change occurred in Octave 3.6.2. This
    has to be reflected in the shlibs file.
  * Bump Standards-Version to 3.9.4, no changes needed
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 26 Sep 2012 22:26:10 +0000

octave (3.6.3-1) experimental; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 3.6.3
  * debian/copyright: reflect upstream changes
  * rcond.patch: new patch taken from upstream, fixes rcond function

  [ Rafael Laboissiere ]
  * Avoid X11-related warning in postint script (Closes: #681065)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 14 Sep 2012 11:24:24 +0200

octave (3.6.2-5) unstable; urgency=low

  * Make liboctave-dev coinstallable again with all HDF5 variants
    + Now depends on libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich2-dev
    + mkoctfile-mpi.diff: patch reintroduced back; includes MPI headers when
      compiling with mkoctfile (see #598227)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 18 Aug 2012 16:35:11 +0000

octave (3.6.2-4) unstable; urgency=low

  [ Mike Miller ]
  * Modify octave.conf to set pkg prefix without dpkg-architecture
    (Closes: #682207)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 30 Jul 2012 17:12:54 +0200

octave (3.6.2-3) unstable; urgency=low

  * octave.postinst: make sure that /usr/share/octave/packages exists.
    This directory can be incorrectly removed by octave3.2's postrm during an
    upgrade from Squeeze. (Closes: #681064)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 11 Jul 2012 15:00:12 +0000

octave (3.6.2-2) unstable; urgency=low

  * Recommend libatlas3-base instead of libatlas3gf-base (package name changed)
  * Recommend libopenblas-base as an alternative to libatlas3-base
  * Recommend gnuplot-x11 | gnuplot-qt instead of gnuplot (Closes: #677672)
  * Build-Depends on liblapack-dev >= 3.4.1-4 to get the correct shlibs:Depends

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 27 Jun 2012 20:32:07 +0000

octave (3.6.2-1) unstable; urgency=low

  * Imported Upstream version 3.6.2
  * base2dec.patch: remove patch, applied upstream
  * Refresh other patches
  * debian/copyright: convert to machine-readable format 1.0
  * README.Debian: discourage the use of pkg.m; other minor improvements
    (Closes: #672651)
  * Remove Lintian overrides for hardening-no-stackprotector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 01 Jun 2012 16:06:30 +0200

octave (3.6.1-6) unstable; urgency=low

  * base2dec.path: new patch
  * Remove unneeded Build-Depends on quilt, to make lintian happy
  * Use "set -e" in octave.{postinst,prerm}, to make lintian happy
  * Add lintian overrides for false positives on hardening compilation flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 20 May 2012 16:59:45 +0200

octave (3.6.1-5) unstable; urgency=low

  * Mention in the changelog entry for 3.4.3-1 that octave-depends was removed
    (Closes: #665326)
  * /usr/share/octave/packages now owned by octave instead of octave-common
    (Closes: #670892)
  * Delete 'Forge packages file in octave's prerm instead of postrm

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 08 May 2012 10:09:35 +0200

octave (3.6.1-4) unstable; urgency=low

  * debian/rules: remove the +x bit of .oct files after dh_shlibdeps, in order
    to generate correct shlib dependencies

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 12 Mar 2012 13:05:01 +0000

octave (3.6.1-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/octave.docs: Include useful documentation files into the octave
    package

  [ Sébastien Villemot ]
  * Add dependency of octave on dpkg-dev (Closes: #663088)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 09 Mar 2012 10:13:28 +0100

octave (3.6.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Bump to dehelper compat level 9. Convert to multi-arch by the way.
  * debian/octave-common.links: no longer hardcode upstream version number
  * Bump to Standards-Version 3.9.3
  * Add myself to Uploaders
  * debian/octave.postrm: fix piuparts uninstallation error

  [ Jordi Gutiérrez Hermoso ]
  * Style fixes: untabify and use [~, foo] = bar() idiom

 -- Thomas Weber <tweber@debian.org>  Wed, 07 Mar 2012 19:31:24 +0100

octave (3.6.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Add Replaces: octave3.2* fields, in order to help the apt resolver
  * Remove use_system_arpack patch, applied upstream
  * Rename liboctave0 to liboctave1 to reflect the SOVERSION bump

  [ Thomas Weber ]
  * New upstream release 3.6.1

 -- Thomas Weber <tweber@debian.org>  Fri, 24 Feb 2012 21:24:53 +0100

octave (3.4.3-4) experimental; urgency=low

  * Remove all symbols files and use shlibs for library versioning.

 -- Thomas Weber <tweber@debian.org>  Tue, 07 Feb 2012 20:43:39 +0100

octave (3.4.3-3) experimental; urgency=low

  [ Thomas Weber ]
  * Adapt debian/symbols files, it should work on sparc now.

  [ Sébastien Villemot ]
  * Change dependency libhdf5-serial-dev => libhdf5-dev

 -- Thomas Weber <tweber@debian.org>  Sun, 29 Jan 2012 12:28:00 +0100

octave (3.4.3-2) experimental; urgency=low

  [ Sébastien Villemot ]
  * New patch: drop_version_from_mkoctfile_function_call
  * New patch: use_system_arpack
  * debian/control: make liboctave-dev depend on libgl1-mesa-dev | libgl-dev

  [ Thomas Weber ]
  * Update the debian/symbols file to work on ia64; this includes splitting it
    into a 32/64 bit part and three different files for the implementation of
    va_list

 -- Thomas Weber <tweber@debian.org>  Wed, 18 Jan 2012 19:22:52 +0100

octave (3.4.3-1) experimental; urgency=low

  [ Thomas Weber ]
  * New upstream release (closes: #641246, #618692, #619519)
    - Remove emacsen package stuff.  Octave no longer provides these files.
    - Completely revamp debian/rules for debhelper 7.  Bump compat level to 7
      for that.
    - Completely revamp packaging to properly support public libraries
      (Closes: #510579).
  * Remove 50_octave-bug-tempfile.diff, Octave switched its bug tracking
    system to a web based one.
  * Removed patches (applied upstream):
      - avoid-implicit-conversion
      - clear_symbol_table
      - drop_old_curl_header
      - filter_empty_vector
      - fix-interp2
      - fix_relative_addpath
      - fixes-for-gcc-4.6
      - handle_new_graphicsmagic
      - scale_image_point_color
  * New patches:
    - drop_version_from_pkg_function_calls
    - enable_dirs_in_pkg
    - drop_versioned_binarys
    - install_libraries_publically
    - add_info_dir_categories.  Add categories to Octave's info files (thanks
      lintian).
    - New patch: correct_typos.  Correct some spelling mistakes
  * Build Octave with OpenMP support (Closes: #631831)
  * Only allow the serial HDF5 library when building.
    Drop patch include_mpi_headers as well, as it was only needed for the
    HDF5 libraries with MPI support. (Closes: #601511)
  * Switch to dpkg-source 3.0 (quilt) format
  * Disable the rpath when calling ./configure
    +1 for making Lintian happy
  * Add doc-base files for the PDF documentation in the octave-doc package.
  * Use the gl2ps system library packaged in Debian.
     - Remove gl2ps symbols from the symbol file
     - Build-depend on libgl2ps-dev
     - Patch Octave for this change with patches/use_system_gl2ps
  * Override the Lintian warning about license.m
  * Change defs.make file for new directory structure.
    We put external .m and .oct files in directories without any API or
    version information.
  * Remove /usr/bin/octave-depends (no longer needed since there is now
    only one octave package)

  [ Sébastien Villemot ]
  * Add Conflicts with octave3.2* packages
  * debian/source/options: exclude various regenerated files from source diff

 -- Thomas Weber <tweber@debian.org>  Sun, 18 Dec 2011 21:18:17 +0100

octave3.2 (3.2.4-12) unstable; urgency=low

  [ Colin Watson ]
  * New patch: clear_symbol_table: Clean up top-level variables when exiting
    Octave (closes: #628353, LP: #831157).

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Sep 2011 10:36:00 +0200

octave3.2 (3.2.4-11) unstable; urgency=low

  * New patch: drop_old_curl_header: curl no longer ships types.h (closes:
    #637787)
  * Add lintian override for usage of install-info; this is a temporary
    measure.

 -- Thomas Weber <tweber@debian.org>  Wed, 17 Aug 2011 22:18:47 +0200

octave3.2 (3.2.4-10) unstable; urgency=low

  * New patches
    - fixes-for-gcc-4.6: GCC 4.6 no longer includes the headers that defined
    size_t automatically; and it doesn't like 'inline' in explicit
    instantiations either (closes: #624960). The latter bug isn't mentioned in
    the bug report, but was seen once the first bug was fixed. Thanks to Orion
    Poplawski from Fedora for the original patch.
    - avoid-implicit-conversion: explicitly convert strings to numbers
    (closes: 603046). Thanks to Kim Hansen for the patch.

 -- Thomas Weber <tweber@debian.org>  Sun, 15 May 2011 08:21:49 +0200

octave3.2 (3.2.4-9) unstable; urgency=low

  * debian/in/control: Give an explicit package name as preference for the
    virtual build-dependency on libcurl4-dev (closes: #618139).
  * Re-introduce debug packages for mips and mipsel (closes: #572407).

 -- Thomas Weber <tweber@debian.org>  Sun, 27 Mar 2011 11:17:42 +0200

octave3.2 (3.2.4-8) unstable; urgency=low

  * New patch: include_mpi_headers, includes /usr/include/mpi by default when
    using mkoctfile (closes: #598227)

 -- Thomas Weber <tweber@debian.org>  Mon, 25 Oct 2010 21:44:40 +0200

octave3.2 (3.2.4-7) unstable; urgency=low

  * New patch: fix_relative_addpath command (closes: #592517)
  * Drop libgl1-mesa-swx11-dev and libglu1-mesa-dev from build-dependencies.
    They are already pulled in by other packages, so we don't need to force
    specific versions of Mesa (closes: #591333).

 -- Thomas Weber <tweber@debian.org>  Sun, 29 Aug 2010 17:34:45 +0200

octave3.2 (3.2.4-6) unstable; urgency=low

  * New patch: scale_image_point_color, scale image point color (closes:
    #581998)

 -- Thomas Weber <tweber@debian.org>  Mon, 24 May 2010 20:04:31 +0200

octave3.2 (3.2.4-5) unstable; urgency=low

  * New patch: fix-interp2; fixes wrong bicubic interpolation, triggered by
    octave-image's test suite (closes: #582276)

 -- Thomas Weber <tweber@debian.org>  Fri, 21 May 2010 23:25:14 +0200

octave3.2 (3.2.4-4) unstable; urgency=low

  * Rebuild and bump build-depends on libblas-dev to (>= 1.2.-7) and on
    liblapack-dev to (>= 3.2.1-7) to pick up the new alternatives
    configuration in the BLAS libraries (closes: #576812).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 Apr 2010 23:22:49 +0200

octave3.2 (3.2.4-3) unstable; urgency=low

  * debian/control: Remove Rafael Laboissiere from Uploaders (closes: #571833,
    #571835)
  * debian/in/control: Compile without debug symbols on mips and mipsel
    (closes: #570771). This means we ship with an almost empty -dbg package on
    these architectures.
  * New patch: handle_new_graphicsmagic, allows building with graphicsmagic >
    1.3.8. Thanks to John Eaton for the patch.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 04 Mar 2010 01:50:32 +0100

octave3.2 (3.2.4-2) unstable; urgency=low

  * New patch: filter_empty_vector; let filter() handle empty vectors (closes:
    #567975). Thanks to John Eaton for the patch

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 17 Feb 2010 20:58:54 +0100

octave3.2 (3.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Build against new hdf5 version (closes: #567057)
  * Drop patch fix-lsode-in-octave3.2.diff, applied upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 31 Jan 2010 17:57:10 +0100

octave3.2 (3.2.3-2) unstable; urgency=low

  * New patch: fix-lsode-in-octave3.2.diff, allows passing of implicit
    function  (closes: #550828). Thanks Jaroslav Hajek for the patch.
  * Build emacs support for emacs23 also (closes: #554611).
  * Drop info-browser as alternative to info (closes: #543914). Octave uses
    some switches specific to info(1).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 07 Jan 2010 09:23:35 +0100

octave3.0 (1:3.0.5-7) unstable; urgency=low

  * Merge changes from the 3.2 branch into the 3.0 upload:
    - Drop the arm-specific build-dependencies on gcc and g++ 4.1
      (closes: #533803)
    - Pass explicit FLIBS to ./configure, to avoid a library path with an
      explicit compiler path in mkoctfile. This allows us to depend on gcc and
      friends without a version (closes: #543291). Consequently, drop
      the explicit dependencies from debian/in/control and debian/rules.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 Oct 2009 20:15:16 +0200

octave3.2 (3.2.3-1) unstable; urgency=low

  * New upstream release
  * Change build-dependency on libreadline, as per
    http://lists.debian.org/debian-devel/2009/09/msg00562.html
  * Dropped patches (applied upstream):
    - complex-nan-print.diff
    - dont_pass_ldflags_to_magickconfig

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 06 Oct 2009 20:03:30 +0200

octave3.2 (3.2.2-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 13 Sep 2009 10:11:52 +0200

octave3.2 (3.2.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/control: The arm architecture has been abandoned by Debian.
    Drop the arm-specific build-dependencies on gcc and g++ 4.1
    (closes: #533802).

  [ Thomas Weber ]
  * New upstream release (closes: #541036)
  * New patch: dont_pass_ldflags_to_magickconfig: don't pass magickconfig's
    ldflags into MAGICK_LIBS (closes: #535080)
  * Bump standards version to 3.8.2, no changes needed
  * Add ${misc:Depends} to all Depends: lines in debian/in/control, thanks
    lintian.
  * Pass explicit FLIBS to ./configure, to avoid a library path with an
    explicit compiler path in mkoctfile. This allows us to depend on gcc and
    friends without a version (closes: #541444, #540455). Consequently, drop
    the explicit dependencies from debian/in/control and debian/rules.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 23 Aug 2009 22:13:45 +0200

octave3.2 (3.2.0-2) unstable; urgency=low

  * debian/patches/complex-nan-print.diff: New patch for fixing the
    problem in mips and mipsel about printing the value of
    'complex(NaN,0)'.  This was causing the package to FTBFS when running
    the test of function log2 in data.cc (closes: #532656).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Jun 2009 12:56:53 +0200

octave3.2 (3.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/in/PACKAGE.postinst: Remove an old hack added in the code of
    the package database rebuild.  This was added for debugging purposes
    on some autobuilders and is not necessary anymore.
  * debian/copyright:
    + Update the release years in the upstream copyright notice
    + This file is moved from debian/in/copyright.  There is no need for
      keeping the file in debian/in/ because there is no version-specific
      changes in it.
  * debian/rules:
    + Do not generate debian/copyright from the file in debian/in/
    + In this new upstream version, doc/conf.texi is not distribute in the
      tarball.  Include it optionally in the savefiles list, accordingly.
    + (make-arch): Explicitly build the doc/conf.texi file
  * debian/in/control: Fix minimal version of octave-optiminterp in the
    Breaks field

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Jun 2009 21:59:49 +0200

octave3.2 (3.2.0~rc5-1) experimental; urgency=low

  * New upstream release candidate

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 02 Jun 2009 15:52:41 +0200

octave3.2 (3.2.0~rc4-2) experimental; urgency=low

  * debian/in/control: Make the octave3.2* packages Conflict/
    Replace/Provide the corresponding octave3.1* packages

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 May 2009 20:18:08 +0200

octave3.2 (3.2.0~rc4-1) experimental; urgency=low

  * New upstream release candidate
  * debian/patches/termios-h-check-3.1.diff: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 27 May 2009 10:56:36 +0200

octave3.2 (3.2.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/rules:
    + (configure-stamp) Instead of calling autogen.sh, call explicitly
      autoconf and autoheader, otherwise these autotools will be run inside
      one of the directories under .pc, which contain a copy of configure.in
      after "quilt push" is run.
    + Set a value for the priority variable when version of Octave is 3.2
  * debian/in/control: Include the Breaks field only for octave3.0

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 May 2009 10:43:29 +0200

octave3.0 (1:3.0.5-6) unstable; urgency=low

  * debian/patches/no-argout-intersect.diff: Fix paths of the patch,
    such that it succeeds when applied (closes: #530369)
  * debian/patches/datenum-vector-input-any-orientation.diff: New patch
    for making datenum accept vector inputs in any orientation.  This is
    necessary for making the tests in the octave-time package succeed.
    (Taken from the upstream Mercurial repository.)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 May 2009 15:14:52 +0200

octave3.0 (1:3.0.5-5) unstable; urgency=low

  * debian/patches/no-argout-intersect.dpatch: Take a bug fix for the
    intersect.m script from the Octave Forge package bugfix-3.0.5.  This
    avoids the creation of the octave-bugfix-3.0.5 package (closes:
    #529049).  Thanks to Adeodato Simó for the suggestion.
  * debian/in/control: Add Breaks relationship to all the Octave-Forge
    packages that were built with version lesser than 0.6.4 of
    octave-pkg-dev.   Previous versions of the Octave-Forge packages will
    not be visible from the current version of octave3.0.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 May 2009 23:54:24 +0200

octave3.0 (1:3.0.5-4) unstable; urgency=low

  * debian/control: The Debian packaging files are now maintained through
    a Git repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
    accordingly.
  * debian/README.source: Add file explaining the use of the dpatch
    system, as mandated by the Policy
  * debian/in/PACKAGE.postrm: Add script for removing the packages
    database file when purging (closes: #528038)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 May 2009 16:15:03 +0200

octave3.0 (1:3.0.5-3) unstable; urgency=low

  * debian/in/PACKAGE.postinst: Add -verbose option when calling 'pkg
    rebuild' in octave and redirect stdin from /dev/null.  This is just to
    help debugging the hang up on the mipsel buildd when installing
    octave3.0 for building other packages (Bug#524745).

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Apr 2009 15:17:35 +0200

octave3.0 (1:3.0.5-2) unstable; urgency=low

  * debian/rules: Fix versioned dependencies on gcc, g++ and gfortran by
    adding the lacking epoch to the them.  Also, add dependencies on the
    -MAJOR.MINOR packages appropriately.  Thanks to Aaron M. Ucko for the
    heads up and the proposed solution (closes: #523496).

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 10 Apr 2009 20:11:47 +0200

octave3.0 (1:3.0.5-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
    - Only change to 3.0.4: Fix regression when loading ascii files
      (closes: #523042)
  * debian/patches/idx-not-volatile-in-eig.dpatch: Remove patch (applied
    upstream)
  * debian/in/control, debian/rules: For the octaveX.Y-headers package,
    use versioned dependencies on gcc, gfortran, and g++.  Tighten the
    dependency to be exactly on the version of the GCC suite which was used
    to build the package.  This is needed because mkoctfiles hardcodes the
    directories in OCTAVE_CONF_FLIBS with the gcc upstream version number.
    This should fix issue LP#348472 reported against the Ubuntu package.
  * debian/in/control:
    + The arm port has been dropped from Debian post-lenny.  Drop the
      special dependencies on the GCC suite packages for the arm
      architecture.
    + Use viewsvn instead of wsvn in Vcs-Browser

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 09 Apr 2009 21:37:52 +0200

octave3.0 (1:3.0.4~rc7-1) unstable; urgency=low

  * New upstream release candidate.  This version has release-quality,
    IMO, even though it is a "release candidate".  Let us allow it into
    testing (closes: #520220), although I hope that the final 3.0.4 will
    come out before its quarantine period in unstable is finished.

  * debian/patches/proper-delete-of-axes-in-clf.dpatch: Remove patch
    (applied upstream)
  * debian/patches/idx-not-volatile-in-eig.dpatch: New patch for avoiding
    memory exhaustion when calling eig on amd64 (closes: #521345).  Thanks
    to John Eaton for the patch.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Mar 2009 10:55:06 +0100

octave3.1 (3.1.55-1) experimental; urgency=low

  * New upstream development snapshot
  * debian/patches/dont_set_helvetica-3.1.dpatch: Adjust
  * debian/patches/remove-y.tab.h-in-maintainer-clean.dpatch,
    debian/patches/pretty-png-svg-print.dpatch: Remove (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Mar 2009 07:24:23 +0100

octave3.1 (3.1.54-3) experimental; urgency=low

  * debian/in/control: Add libarpack2-dev to the list of build
    dependencies, which makes the eigs function available

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 11:08:14 +0100

octave3.0 (1:3.0.4~rc5-4) unstable; urgency=low

  * debian/in/PACKAGE.conf: Use split for octave3.0 and strsplit for
    octave3.1 (closes: #520770)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 17:58:17 +0100

octave3.0 (1:3.0.4~rc5-3) unstable; urgency=low

  * Sync with the octave3.1 branch
  * debian/patches/termios-h-check-3.0.dpatch: Fix termios.h check, as
    done below for octave3.1_3.1.54-2

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 18 Mar 2009 11:42:07 +0100

octave3.1 (3.1.54-2) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE.conf: Use strsplit instead of the deprecated split
    when checking the path (closes: #519429).  Thanks to Francesco Potortì
    for the patch.
  * patches/pretty-png-svg-print.dpatch: Restore pretty printing in png
    and svg formats (closes: #519572).  Thanks to Ben Abbott for the
    patch.
  * debian/in/control: Drop dependency of octaveX.Y-common on octaveX.Y,
    in order to avoid circular dependencies.  Thanks to Bill Allombert for
    the heads up and the suggestion (closes: #520125).
  * debian/patches/termios-h-check-3.1.dpatch: Small tweak for
    configure.in/configure to properly detect <termios.h>, making the
    package build on GNU/kFreeBSD. Thanks to Petr Salinger for the patch
    (closes: #520076).
  * debian/in/control: Bump Standards-Version to 3.8.1 (no changes needed)

  [ Thomas Weber ]
  * debian/in/control: Move -dbg package from Section: devel to Section:
    debug.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Mar 2009 23:32:03 +0100

octave3.0 (1:3.0.4~rc5-2) unstable; urgency=low

  * Release to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Mar 2009 10:27:36 +0100

octave3.1 (3.1.54-1) experimental; urgency=low

  * New upstream development snapshot
  * debian/in/control: Build-Depend on libqrupdate-dev for octave3.1
  * debian/patches/remove-y.tab.h-in-maintainer-clean.dpatch: New patch
    for avoiding src/y.tab.h to be removed by make distclean
  * debian/rules:
    + Do not install the enscript directory into the common package.  This
      is now obsolete.
    + Get API version directly from the upstream version.h file
  * debian/in/PACKAGE-htmldoc.prerm: Drop this almost empty template file,
    since th prerm script will be generated automatically by debhelper

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 09 Mar 2009 01:36:46 +0100

octave3.1 (3.1.53-1) experimental; urgency=low

  * New upstream development snapshot
  * Dropped patches (applied upstream):
    + debian/patches/clean-examples-subdir.dpatch
    + debian/patches/real-no-history-3.1.dpatch
    + debian/patches/visit-script-call-accept.dpatch
    + debian/patches/compile-inttypes-on-short-double-arches.dpatch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Feb 2009 17:38:35 +0100

octave3.0 (1:3.0.4~rc5-1) experimental; urgency=low

  * New upstream release candidate.  Still released to experimental, since
    this version has still some issues.
  * debian/patches/proper-delete-of-axes-in-clf.dpatch: Proper deletion of
    axes in clf.m.  Fix a regression problem between version 3.0.3 and
    3.04-rc5.  Proposed by Marco Caliari in the octave-maintainers mailing
    list on 2008-02-25.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Feb 2009 15:58:10 +0100

octave3.1 (3.1.52-6) experimental; urgency=low

  * debian/patches/normal-markersize.dpatch: Revert the symbol markers in
    plots to their normal size (closes: #515743).  Thanks to Francesco
    Potorti for the patch.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Feb 2009 11:40:01 +0100

octave3.1 (3.1.52-5) experimental; urgency=low

  * debian/patches/compile-inttypes-on-short-double-arches.dpatch:
    Workaround gcc 4.3 explicit instantiation bug in octave_int_cmp_op.
    This was causing FTBFS on architectures with no long double type, like
    mipsel and hppa (closes: #516588). Thanks to Jaroslav Hajek for the
    patch.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Feb 2009 18:42:48 +0100

octave3.1 (3.1.52-4) experimental; urgency=low

  * debian/patches/visit-script-call-accept.dpatch: Add patch to call
    accept for function and script commands, avoiding crashes when user
    scripts are loaded again after being changed in the file system
    (closes: #516136).  This patch was taken from the upstream Mercurial
    repository, thanks to John W. Eaton.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Feb 2009 10:16:14 +0100

octave3.1 (3.1.52-3) experimental; urgency=low

  * Sync with the stable branch
  * debian/patches/real-no-history-3.1.dpatch: Add patch from upstream
    Mercurial repository.  Thanks to John Eaton.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 19 Feb 2009 01:19:02 +0100

octave3.0 (1:3.0.4~rc4-1) experimental; urgency=low

  * New upstream release candidate.  Although lenny is already released,
    this version is uploaded to experimental because octave3.0 is involved
    in the lapack and suitesparse library transitions.
  * debian/in/PACKAGE.postinst: Rebuild the pkg database at configure
    action, such that the octave_packages is guaranteed to exist when
    octaveX.Y is installed
  * debian/patches/real-no-history.dpatch: Add patch for only reading and
    saving history if Vsaving_history is true.  Thanks to John Eaton for
    the patch and the suggestions.  Closes: #514802.
  * The removal of octave2.1 from squeeze has been requested.  The
    following files are affected:
    + debian/rules, debian/in/00list, debian/in/NEWS,
      debian/in/PACKAGE-htmldoc.doc-base.faq, debian/in/PACKAGE.conf,
      debian/in/control, debian/in/copyright, debian/in/watch: Remove all
      inclusions conditional on 2.1
    + Dropped patches: 50_OCTAVEHOME-texi, 50_automatic-replot-docstring,
      50_build-octave-faq, 50_clean-pdf-docs, 50_compile-with-g++-4.3,
      50_drop-lo-manpages, 50_fixed-freqz, 50_g++4.1-fixes,
      50_incomplete_gamma, 50_lgamma_doc, 50_rename-octave-tags,
      50_return-deffn, 50_syscalls-test-sleep,
      imshow_only_handles_octave_images, sane-file-stat-return

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Feb 2009 19:52:37 +0100

octave3.1 (3.1.52-2) experimental; urgency=low

  * Sync with the stable branch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 08:41:27 +0100

octave3.0 (1:3.0.4~rc3-3) experimental; urgency=low

  * Sync with the development branch
  * debian/in/PACKAGE.conf: Set the global_list of Octave packages inside
    the versioned directory for packages.
  * debian/in/PACKAGE.triggers: Interests on the versioned packages
    directory

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 02:32:55 +0100

octave3.1 (3.1.52-1) experimental; urgency=low

  * New upstream development snapshot
  * debian/patches/:
    + dont_set_helvetica.dpatch: Adapt patch for this new release
    + glpk-new-api.dpatch, sane-file-stat-return.dpatch: Drop patches
      (applied upstream)
    + clean-examples-subdir.dpatch: Avoid files left in examples/@polynomial
      after make distclean
  * debian/in/control: Build-depend on libftgl-dev, such that Octave is
    compiled with the experimental OpenGL/FLTK based backend, which will
    replace gnuplot
  * debian/texmf.cnf: Add TeX configuration file for increasing the save
    size for pdfetex.  This is necessary for building the documentation
    files from the texi sources.
  * debian/rules:
    + Export the TEXMFCNF variable such that texi2df will be able to find
      the debian/texmf.cnf file
    + In the binary-indep rule, remove the ls-R file installed in the
      /usr/share directory.
    + Do not install enscript's syntax file octave.st.  This file is now
      donated to the enscript project and should not be provided by the
      octave package in the future.
    + Do not install the documentation file THANKS for octave3.1 since
      this file is not distributed anymore
    + Set api_version equal to 34 for octave3.1
    + Use versioned prefixes for the Octave packages directory
    + Only install the PDF files that are really final documents and not
      the figures in PDF format under doc/*/
  * debian/in/PACKAGE.postinst: Do not generate the ls-R kpathsea database
    file.  It is not used by Octave anymore.
  * debian/in/PACKAGE.conf: Use versioned prefixes for the Octave packages
    directory
  * debian/in/PACKAGE-common.lintian-overrides: Adjust for the new
    versioned packages directory

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2009 12:48:43 +0000

octave3.0 (1:3.0.1-7) unstable; urgency=low

  * Upload to unstable, such that the package will have a higher version
    number in this distribution in comparison with testing.  This is
    necessary, otherwise the Debian installer refuses to install the
    previous version in testing-proposed-updates.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Feb 2009 17:32:48 +0100

octave3.0 (1:3.0.1-6lenny3) testing-proposed-updates; urgency=low

  * Upload to t-p-u in order to get the correct dependencies for lenny, in
    particular libpcre3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Feb 2009 11:54:49 +0100

octave3.1 (3.1.51-4) experimental; urgency=low

  * Synch with octave3.0.
  * debian/patches/sane-file-stat-return.dpatch: Avoid random errors when
    calling fopen on files that do not exist in the file system

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 14:00:42 +0100

octave3.0 (1:3.0.4~rc3-2) experimental; urgency=low

  [ Thomas Weber ]
  * Synch with the lenny branch.  In particular, let Octave provide the
    /usr/share/octave/packages/ directory (addresses Bug#513576), which
    should be in the octaveX.X-common package

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE-common.lintian-overrides: Add an override for the
    Lintian warning about the /usr/share/octave/packages/ empty directory
  * debian/patches/glpk-new-api.dpatch: New patch to avoid calls to
    deprecated __glp_lib_* functions which are deprecated and have been
    removed for the GLPK public API since version 4.32 (closes: #514035)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 11:56:17 +0100

octave3.0 (1:3.0.1-6lenny2) unstable; urgency=low

  * Provide /usr/share/octave/packages by octave3.0 (closes: #513576)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 02 Feb 2009 21:34:22 +0100

octave3.0 (1:3.0.4~rc3-1) experimental; urgency=low

  * New upstream release candidate
  * Dropped patches (applied upstream):
    + debian/patches/polyfit-scaling.dpatch
    + debian/patches/suitesparse-3.2.0.dpatch
  * debian/in/PACKAGE.lintian-overrides: Drop the overrides for
    binary-or-shlib-defines-rpath, since they are not needed anymore

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jan 2009 22:47:16 +0100

octave3.1 (3.1.51-3) experimental; urgency=low

  * Synch with octave3.0 package again (closes: #511942, which is the same
    as Bug#511075 for octave3.0)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 13:19:37 +0100

octave3.0 (1:3.0.3-3) experimental; urgency=low

  * debian/in/control: Add an epoch to the build-dependency on
    libsuitesparse-dev, avoiding the autobuilder dependencies to be
    satisfied with the previous version of the SuiteSparse package
    (1:3.1.0-3.1). Closes: #511075.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 12:13:42 +0100

octave3.1 (3.1.51-2) experimental; urgency=low

  * Synch with octave3.0 package
  * debian/rules: Only install enscript files for octave3.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 06 Jan 2009 11:00:00 +0100

octave3.0 (1:3.0.3-2) experimental; urgency=low

  * debian/patches/polyfit-scaling.dpatch: Add patch for introducing a new
    polyfit.m taken from the Mercurial upstream repository.  This version
    has a new algorithm that improves the numerical stability of the
    results for ill-conditioned input values (closes: #510577).
  * debian/in/control:
    + Synch with the lenny branch
    + Build-depend on libsuitesparse-dev >= 3.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 03 Jan 2009 12:28:47 +0100

octave3.0 (1:3.0.3-1) experimental; urgency=low

  [ Thomas Weber ]
  * New upstream release:
    + Improved documentation about axes properties (closes: #492070)
    + Check that X and Y are of same size when calling contourf
      (closes: #492223)
    + varargin is now in the manual index (closes: #492992)
    + Better description for shading (closes: #492168)
    + countourf now in the manual (closes: #492224)
  * Drop patch randn_doc.dpatch: applied upstream.
  * Change dont_set_helvetica.dpatch to use an asterisk (*) instead of an
    empty string for the font; see
    http://thread.gmane.org/gmane.comp.gnu.octave.bugs/9843
    for the reasoning. Saving greek symbols as .png or .jpeg continues to not
    work with this, though.

  [ Rafael Laboissiere ]
  * debian/rules: Cope with tilde (~) in the upstream version number

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 10 Oct 2008 08:51:03 +0000

octave3.0 (1:3.0.2-4) experimental; urgency=low

  * Add octaveX.Y-common package containing the architecture-independent
    files, which were taking too much place in the architecture-dependent
    main package octaveX.Y

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Sep 2008 11:07:18 +0200

octave3.0 (1:3.0.2-3) experimental; urgency=low

  * debian/in/PACKAGE.triggers, debian/in/PACKAGE.postinst: Use a dpkg
    trigger for updating the Octave's pkg database (via "pkg rebuild").  A
    package providing an Octave pkg will activate the trigger.
  * debian/in/PACKAGE.lintian-overrides: Add Lintian overrides for binary
    and shared library setting RPATH
  * debian/rules: Add BUGS to the savefiles list because it is present in
    the tarball and is modified when building the documentation

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Sep 2008 08:29:38 +0200

octave3.0 (1:3.0.2-2) experimental; urgency=low

  * Restore the epoch in the version number

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Aug 2008 23:54:37 +0200

octave3.0 (3.0.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Do not pass --host option to configure when it is the
    same as the --build option.  This is mandatory with Autoconf 2.52 and
    newer and was causing the C++ ABI to have a wrong value in config.h.

  [ Thomas Weber ]
  * New upstream release
    + axis locations now appear on the correct positions (closes: #492076)
  * Removed patches (applied upstream):
    + patches/50_include-cstring-mxarray.dpatch
    + patches/50_add_syspath.dpatch

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 23 Aug 2008 15:34:59 +0200

octave3.1 (3.1.51-1) experimental; urgency=low

  * New upstream development snapshot
  * debian/rules:
    + Do not install octave.st for octave3.1 (avoid conflict with
      octave3.0)
    + Set alternatives priority value for octave3.1
  * Drop patches (applied upstream):
    + fix-comma-in-configure.dpatch
    + add-gl-render-cc.dpatch
    + add-acx_blas_f77_func.m4.dpatch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 Jul 2008 22:13:35 +0200

octave3.1 (3.1.50-2) experimental; urgency=low

  * debian/in/copyright: Add tag for octave3.1, which produces a meaningful
    license text in debian/copyright
  * debian/in/PACKAGE{.conf,.dirs,-emacsen.dirs}: Also adapted for
    octave3.1
  * debian/patches/add-gl-render-cc.dpatch: Add patch for including a file
    lacking in the upstream tarball
  * debian/patches/fix-comma-in-configure.dpatch: Add patch for avoiding
    syntax errors in configure
  * debian/in/control: Build-depend on libgl1-mesa-swx11-dev and
    libglu1-mesa-dev

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 Jul 2008 00:50:49 +0200

octave3.0 (1:3.0.1-6lenny1) unstable; urgency=low

  * Allow libhdf5-openmpi-dev to satisfy Octave's hdf5 dependency (closes:
    #494139)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 12 Aug 2008 22:28:01 +0000

octave3.1 (3.1.50-1) experimental; urgency=low

  * New upstream release (development branch)
  * debian/in/control: Build-depends on libfltk1.1-dev, mesa-common-dev,
    and libgraphicsmagick++1-dev
  * debian/rules: Process 00list, NEWS and watch files through slice
  * debian/in/{00list,NEWS,watch}: New files
  * debian/patches/add-acx_blas_f77_func.m4.dpatch: Include m4 file that
    is lacking from the tarball and is necessary for autoconf
  * Drop dpatches (applied upstream):
    + 50_fix_handle_for_plotyy.dpatch
    + 50_add_syspath.dpatch
    + randn_doc.dpatch
  * debian/patches/dont_set_helvetica-3.1.dpatch: Adapted for octave3.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jul 2008 10:27:26 +0200

octave3.0 (1:3.0.1-6) unstable; urgency=low

  * debian/in/PACKAGE-info.postinst: Remove the info entries for octave2.9
    in /usr/share/info/dir, left by versions until 2.9.9-8etch1.  This
    will ensure a smooth upgrade from etch to lenny (closes: #489832)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 11 Jul 2008 17:42:18 +0200

octave3.0 (1:3.0.1-5) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use dh_lintian for installing the Lintian overrides file
  * debian/in/PACKAGE.lintian-overrides: Renamed for PACKAGE.lintian
  * debian/control: Set build-dependency on debhelper to >= 6.0.7, since
    dh_lintian appeared in that version
  * debian/in/PACKAGE.dirs: Drop lintian overrides directory

  * debian/in/PACKAGE.lintian-overrides: Drop unused overrides about
    binary program defining RPATH

  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  * debian/rules: Include the debian/watch file the source package
    (complies with Policy 4.11)

  [ Thomas Weber ]
  * Replace obsolete build-dependency on gs-gpl by ghostscript

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 30 Jun 2008 17:08:43 +0200

octave3.0 (1:3.0.1-4) unstable; urgency=low

  * New patches:
    - 50_add_syspath.dpatch: Prepend library path again in the loadpath
      (closes: #477556). Thanks to Kim Hansen <kimhanse@gmail.com> for the
      patch.
    - randn_doc.dpatch: better explanation of randn()'s return value
      (closes: #477349)
    - no_pdf_in_print.dpatch: explain that PDF generation is not possible with
      packaged gnuplot (closes: #478677)
    - imshow_only_handles_octave_images.dpatch: documentation patch, imshow
      only handles Octave's image format (closes: #478271)
    - dont_set_helvetica.dpatch: Go with gnuplot's default font as Helvetica
      is not available as a TrueType font (closes: #477688)

  * debian/in/PACKAGE.conf: Remove explicit library path addition.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 24 May 2008 13:49:51 +0200

octave3.0 (1:3.0.1-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE.conf: Substitute version of package in the
    addpath(.../oct/) command

  [ Thomas Weber ]
  * Add -dbg package

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 01 May 2008 12:49:49 +0200

octave3.0 (1:3.0.1-2) unstable; urgency=low

  * Add library path at the beginning of the loadpath (work-around for
    #477556). Not closing the bug, as this is only fixing the symptoms, not
    the cause.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 26 Apr 2008 11:38:27 +0200

octave3.0 (1:3.0.1-1) unstable; urgency=low

  * New upstream release
  * Drop dpatches (applied upstream):
    + 50_drop-lo-manpages.dpatch
    + 50_dont_downcase_font_names.dpatch
    + 50_clean-doc.dpatch
  * debian/rules (clean): Ensure that make distclean is run

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 22 Apr 2008 20:33:41 +0200

octave3.0 (1:3.0.0-11) unstable; urgency=low

  * debian/in/control: Add an epoch to the Conflicts relationships with
    the octave2.9-* packages, otherwise the upgrade in lenny fails
    (closes: #475789)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Apr 2008 14:49:05 +0200

octave2.1 (1:2.1.73-19) unstable; urgency=low

  [ Thomas Weber ]
  * Updated patch: 50_compile-with-g++-4.3: More fixes for compiling
    octave2.1 with the GCC 4.3 suite (closes: #474853)

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE-htmldoc.doc-base.*: Change Section to
    Science/Mathematics, which is one of the standard doc-base sections
  * debian/in/PACKAGE.lintian: Only override license.m as
    extra-license-file for octave3.0, since this file does not exist in 2.1

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Apr 2008 13:28:13 +0200

octave3.0 (1:3.0.0-10) unstable; urgency=high

  [ Rafael Laboissiere ]
  * debian/in/control: Bump to 1.6.6 the minimal version of the
    libhdf5-*-dev build-dependencies.  This is the reason the urgency is set
    to "high", since octave3.0 is currently uninstallable on all
    architectures du to the upgrade in hdf5.
  * Synched with the octave2.1 branch
  * debian/rules, debian/in/control: Use the architecture tag "[m68k]" for
    the octave*-headers dependency on f2c.  This eliminates the need for
    using the substitution variable ${m68k:Depends}.

  [ Thomas Weber ]
  * Apply patch from David Bateman to fix the handle treatment in plotyy
    (closes: #472069).

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 29 Mar 2008 10:32:15 +0100

octave2.1 (1:2.1.73-18) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/control, debian/in/octave2.1-NEWS: Add notice in the package
    descriptions and in the NEWS file telling that the octave2.1* packages
    will be dropped post-lenny
  * debian/in/control: octave*-headers depends on gcc and g++ 4.1 on arm.
    This is necessary because mkoctfile on arm has the CC and CXX variable
    hardcoded to gcc-4.1 and g++-4.1, respectively.

  [ Thomas Weber ]
  * debian/rules: Call dh_md5sums, such that md5sums control files are
    added to the package

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 06 Mar 2008 15:28:08 +0100

octave3.0 (1:3.0.0-9) unstable; urgency=low

  * debian/in/control: drop gfortran-4.1 from the build-deps list. It doesn't
    exist anymore.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 05 Mar 2008 09:06:42 +0100

octave3.0 (1:3.0.0-8) unstable; urgency=low

  * Don't uppercase font names for Postscript printing (closes: #469240)
    Thanks John Eaton for the patch.
  * Use default gfortran compiler on ARM.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 04 Mar 2008 10:47:33 +0100

octave3.0 (1:3.0.0-7) unstable; urgency=low

  * debian/rules: Use correct linker option for BLAS library (closes:
    #468323)
  * debian/in/control: Do not build-depend on gfortran on arm

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Feb 2008 10:24:06 +0100

octave3.0 (1:3.0.0-6) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/control:
    + Make all octave3.0* packages conflict with the corresponding
      octave2.9* packages.  This is a correction for the fix to
      Bug#463039.
    + Build-depends on GCC 4.1 suite for the arm architecture

  [ Thomas Weber ]
  * debian/rules:
    + Pass DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE to ./configure, as
      suggested by dh-make
    + Search for "arm" in DEB_BUILD_ARCH and use gcc-4.1 and friends on
      that architecture (attempt to fix #458852)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 26 Feb 2008 14:44:53 +0100

octave3.0 (1:3.0.0-5) unstable; urgency=low

  * Synched with octave2.1; in particular ensures that the generation of
    the ls-R database will work correctly, avoid the problem reported in
    Bug#464334.
  * debian/in/PACKAGE-htmldoc.doc-base.faq: Added slice sections for
    octave2.1 and octave3.0, since the name of the index file is different
    from one branches to another.
  * debian/rules: Process all debian/in* files through slice
  * debian/in/octave{2.1,3.0}-watch: Updated URLs
  * debian/patches/50_clean-doc.dpatch: Improve documentation of clean
    command (patch suggested by Thomas Weber and applied upstream,
    closes: #452560)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 Feb 2008 10:49:01 +0100

octave2.1 (1:2.1.73-17) unstable; urgency=low

  * Synched with octave3.0; in particular, switch from g77 to gfortran;
    also, don't depend on a specific g++ version (closes: #463301)
  * debian/control: Build-depend on dejagnu (for make check)
  * Moved debian/copyright into debian/in/copyright and generated the
    former using the slice command.  This is necessary because Octave 2.1
    and 3.0 are released under different versions of the GPL.  Changed
    debian/rules accordingly.
  * debian/in/copyright: Added the mention that Octave 2.1 is released under
    version 2 or later of the GPL (closes: #435205)
  * Added dpatches :
    + 50_compile-with-g++-4.3: Fixes for compiling the
      octave2.1 with the GCC 4.3 suite (closes: #417486)
    + 50_build-octave-faq: Correctly builds the PS forms of the Octave-FAQ
      documentation
  * debian/in/PACKAGE-htmldoc.doc-base.faq: Give correct name of HTML
    index file
  * debian/rules: Remove the *.html at clean target, such that the package
    have the same contents when built twice in a row (closes: #441721)
  * debian/in/PACKAGE.postinst: Drop option -L given to the ls command
    when building the ls-R database, such that simultaneous installation
    of octave2.1 and octave3.0 will not fail (closes: #464334)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 Feb 2008 14:15:22 +0100

octave3.0 (1:3.0.0-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Uploaded to unstable
  * debian/control: Build-depend on g++-4.3 on arm.  This is a desperate
    attempt to see whether we can get rid of the segfault problem on arm
    (cf Bug#458852)
  * debian/rules: Use g++ and gcc 4.3 on arm architecture

  [ Thomas Weber ]
  * in/PACKAGE.conf: sync with upstream's main-rcfile (closes: 466723, 466264)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 Feb 2008 11:24:13 +0100

octave3.0 (1:3.0.0-3) experimental; urgency=low

  * Added dpatches:
    + 50_include-cstring-mxarray: Compile successfully with GCC 4.3
    + 50_drop-lo-manpages.dpatch: Drop unknown macros in some manpages
      (Lintian warning)
  * debian/in/control: Build-depends in libsuitesparse-3.1.0 >= 3.1.0-2
    since this version have appropriate sonames for the SuiteSparse
    libraries

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Feb 2008 13:36:01 +0100

octave3.0 (1:3.0.0-2) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/in/control:
    + Put the -htmldoc package in section "doc", agreeing with the
      override set by the Debian Installer
    + Generate dummy octave2.9* packages that depend on the corresponding
      octave3.0 ones. For this to work, we have to reintroduce the epoch in
      the package version number.  Also, do not conflict/replace/provide
      the octave2.9* anymore (closes: #463039).  Thanks to Steve Langasek
      for the discussion and the suggestions.
  * debian/in/control, debian/rules: Switched from g77 to gfortran.
    + Changed the build-dependencies on refblas3-dev and lapack3-dev to
      libblas-dev and liblapack-dev, respectively
    + Changed the recommendation on atlas3-base to libatlas3gf-base
    + Thanks to Pascal Dupuis for the original patch
    + Thanks to this change, the octave3.0-headers package do not depend
      gcc-3.4 anymore (closes: #435275)
    + The F77_FUNC_ macro in config.h does have the double underscore
      that appeared in version 2.9.12-2+b3 of the octave2.9-headers
      package (closes: #434415)
  * debian/rules: Dropped path in compiler variables, such that the
    package can be built using gcc-snapshot

  [ Thomas Weber ]
  * debian/compat: switch to level 6
  * debian/in/control:
    + depend on debhelper >= 6
    + Don't depend on a specific g++ version (closes: #463302).
  * change slice term for 3.0 from 2.9:
    + debian/in/PACKAGE.conf
    + debian/in/PACKAGE-emacsen.dirs
    + debian/in/PACKAGE.dirs

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Feb 2008 08:41:29 +0100

octave2.1 (1:2.1.73-16) unstable; urgency=low

  * Synched with octave3.0; in particular, do not build-conflict with
    atlas3-base-dev

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 23 Dec 2007 22:53:52 +0100

octave3.0 (3.0.0-1) unstable; urgency=low

  The "Seasons Greetings" release

  * New upstream release.  A big thanks to John W. Eaton and all the
    Octave development team for this most awaited release.

  * debian/in/control, debian/rules: Replaced most of the references to
    octave2.9 by octave3.0.  Made all octave3.0* packages
    provide/replace/conflict with the respective octave2.9* packages.
  * debian/patches/02_prelease_warning.dpatch: Dropped patch, since this
    is the real 3.0 release
  * debian/in/control: Dropped the build-conflict with atlas3-base-dev.
    This will make the autobuilders happy.
  * debian/in/control: Dropped the empty octave package.  This will allow
    releasing octave3.0 without an epoch in its version number.  We will
    reintroduce this package later, if necessary (anyway, octave3.0
    provides octave).

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 23 Dec 2007 16:04:15 +0100

octave2.1 (1:2.1.73-15) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Kludge for preventing octave.st from being installed in
    version 2.1 of the octave*.* package, avoiding clashes with octave2.9
    (closes: #457191).  This is a temporary solution; octave.st will
    eventually be incorporated into the enscript package (see Bug#457244).

  [ Thomas Weber ]
  * debian/in/control: Build-conflict with atlas3-base-dev and remove it
    from build-depends (closes: 457167)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 21 Dec 2007 12:42:02 +0100

octave2.9 (1:2.9.19-2) unstable; urgency=low

  * Synched with the last octave2.1 release

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Dec 2007 20:51:45 +0100

octave2.1 (1:2.1.73-14) unstable; urgency=low

  * debian/in/PACKAGE-info.prerm: Fixed a typo that was preventing the
    *octave<version> info files from being removed by "install-info
    --remove" (closes: #456636)
  * debian/rules: Make sure that the octave.desktop.in and octave-tags
    exist before manipulating/moving them
  * debian/in/PACKAGE-emacsen.dirs: Enable some directories only for
    octave2.9
  * debian/in/control: Since the fftw3 package have been renamed,
    build-depends on libfft3-dev and make octave*.*-headers depend on
    libfft3-dev as well

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Dec 2007 17:01:51 +0100

octave2.9 (1:2.9.19-1) unstable; urgency=low

  * New upstream release
  * debian/in/PACKAGE-htmldoc.doc-base.*: Replaced tabulations by single
    spaces at the beginning of continuation lines of the Abstract fields
    (cf Debian doc-base Manual section 2.3.2)
  * debian/rules: Remove empty dirs (usr/{share,lib}/[...]/site/[...])

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 13:19:17 +0100

octave2.9 (1:2.9.18-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Call dh_shlibdeps with the appropriate -l option in order to avoid
      warnings about the private libraries of Octave not being found.  These
      warnings have been introduced in a recent version of dpkg-shlibdeps.
    + Copy version NEWS files from debian/in/ directory into debian/
    + Remove debian/NEWS at clean rule
    + Remove some empty directories from the main octave*.* package
  * debian/in/octave3.0-NEWS: Moved from debian/NEWS
  * debian/in/control:
    + Dropped the Homepage pseudo-header for the extended description
    + Bumped Standards-Version to 3.7.3
    + Use Vcs-* headers instead of the deprecated XS-Vcs-* ones
    + Added editing mode information for Emacs

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 06 Dec 2007 23:21:35 +0100

octave2.9 (1:2.9.17-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Nov 2007 11:43:42 +0100

octave2.9 (1:2.9.16-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 01 Nov 2007 01:25:44 +0100

octave2.9 (1:2.9.15-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release.
  * Dropped patches (applied upstream):
    + 01_include_missing_files
    + 50_mix-range-and-sparse

  [ Rafael Laboissiere ]
  * debian/rules: Only do extra links for the manpages when we are
    packaging a pre-release version

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Oct 2007 17:19:21 +0200

octave3.0 (2.9.15-1) experimental; urgency=low

  [ Thomas Weber ]
  * Declare 2.9.15 as release candidate for 3.0. This has been discussed with
    upstream and is encouraged (closes: #446639)

  [ Rafael Laboissiere ]
  * Removed patches (applied upstream):
    + debian/patches/01_include_missing_files.dpatch
    + debian/patches/50_mix-range-and-sparse.dpatch

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Oct 2007 23:36:10 +0200

octave2.9 (1:2.9.14-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release
  * debian/rules:
    + Don't force mkoctfile to strip .oct files (closes: #437672)
    + Don't compress PDF files (partly (closes: #441722))
  * debian/in/control:
    + Add qhull to build-dependencies. Octave-forge's geometry toolbox was
      merged with Octave and needs this.
  * patches/01_include_missing_files:
    + Include .m files that were missed in the distribution tarball
      (closes the other half of #441722)

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE.menu: Adapted to the new menu hierarchy, which will
    be in the next release of Policy
  * debian/rules: Increased the update-alternatives priority of octave2.9
    to 90 and keep that of octave2.1 at 80
  * debian/in/control:
    + octave*-emacsen package depends on newer emacs22
    + Build-depends on desktop-file-utils
    + Added Homepage field
  * debian/in/PACKAGE-htmldoc.doc-base.faq: Reference the correct HTML
    files of the FAQ
  * debian/rules:
    + Patch the examples/octave.desktop.in file, such that the referenced
      command exists
    + Rename the installed octave.desktop file

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 22 Sep 2007 17:13:51 +0000

octave2.9 (1:2.9.13-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_use_suitesparse_for_ufsparse.dpatch,
    debian/patches/50_fix_pkg_rebuild.m.dpatch : Removed patches
    (applied upstream)

  * debian/octave.st: Added enscript highlighting rules for Octave
  * debian/in/PACKAGE.dirs: Added directory for enscript
  * debian/rules: Install octave.st

  * debian/in/control:
    + Removed the obsolete build-dependency on dejagnu (over two years
      ago, DejaGNU was replaced by the test/assert infrastructure for
      running the tests)
    + Use the substitution variable ${binary:Version} instead of the
      deprecated ${Source-Version}, which also makes the package
      binNMUable
  * debian/rules: Do not ignore make clean/distclean error

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 23 Jul 2007 23:06:54 +0200

octave2.9 (1:2.9.12-2) unstable; urgency=low

  * debian/in/control, debian/rules:
    + Switch back to g77 from gfortran (closes: #427257).
      This has been discussed with the toolchain guys and is the easist
      solution for now, see
      http://lists.debian.org/debian-gcc/2007/06/msg00024.html
    + Switch to SuiteSparse from UFSparse.
  * New patch:
    01_use_suitesparse_for_ufsparse.dpatch
    SuiteSparse introduced a new type in 3.0, see
    http://www.cae.wisc.edu/pipermail/help-octave/2007-June/004188.html

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 06 Jun 2007 07:48:32 +0000

octave2.9 (1:2.9.12-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release
    (2.9.11 had a problem when building, so we didn't package it)
  * data-conv.cc now #include's cstdlib (closes: #417487)
  * This release fixes the problem with handing empty matrices to fft.m
    (closes: #423278)
  * Dropped patches (applied upstream):
    + 50_doc-builtin-vars.dpatch
    + 50_glpk-pre-ifdef-logic.dpatch
    + 50_dont_resize_empty_dimensions.dpatch
    + 50_examples-use-gnuclient.dpatch
    + 50_syscalls-test-sleep.dpatch
  * New patch:
    + 50_fix_pkg_rebuild.m.dpatch: fix issue with pkg -rebuild, see
      http://www.nabble.com/Small-bug-in-%22pkg-rebuild%22-tf3807246.html
  * debian/in/control: Add build-dep on libcurl4-dev for the url* functions

  [ Rafael Laboissiere ]
  * debian/in/control:
    + Build-depend on gs-gpl, such that building the package twice in a
      row will succeed (closes: #424381)
    + Since 2.9.12 is marked as the "testing" (AKA "recommended") version
      by the upstream author, the octave virtual package depends now on
      octave2.9.  Since the previous version of this package was
      1:2.1.73-13, we need to add an epoch to the version number in the
      2.9 branch.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 25 May 2007 06:06:51 +0200

octave2.9 (2.9.10-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Updated this long outdated file, that still cited
    Dirk as the package maintainer.  In particular, mention that
    Octave is released under version 2 or later of the GPL.
  * debian/patches/50_octave-bug-tempfile.dpatch: Adjusted for Octave
    2.9.10
  * debian/in/control:
    + Changed relationship to gnuplot from Suggests to Recommends
      (closes: #415780)
    + Replaced build-dependency on tetex-bin by texlive-latex-base and
      texlive-generic-recommended (teTeX is deprecated in lenny, in favor
      of TeXlive)
  * debian/rules: make-indep depends on make-arch-stamp because run-octave
    is invoked when building the docs

  [ Thomas Weber ]
  * PACKAGE-headers.postinst, PACKAGE-headers.prerm:
    Let the /usr/include/octave symlink point to the octave/ subdirectory of
    /usr/include/octave-X.Y.Z (Closes: #400246). This was clarified with
    upstream, see
    http://www.cae.wisc.edu/pipermail/octave-maintainers/2006-December/001384.html
  * debian/rules: Generate debian/control as part of the maintainer-scripts
    target.
  * removed patches (applied upstream): 50_invalid_indexes
  * new patches:
    50_dont_resize_empty_dimensions: fix assignments to empty matrices and add
    testcases for this (Closes: #417671). Thanks John Eaton and Kim Hansen.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2007 23:13:13 +0200

octave2.9 (2.9.10-3) unstable; urgency=low

  * Uploaded to sid, now that glpk 4.15 went out from the NEW queue

 -- Rafael Laboissiere <rafael@debian.org>  Sun,  1 Apr 2007 21:43:26 +0200

octave2.9 (2.9.10-2) experimental; urgency=low

  * debian/patches taken from upstream CVS:
    + 50_doc-builtin-vars: Fix documentation for obsolete built-in
      variables LOADPATH, INFO_FILE, and INFO_PROGRAM.  Also, fix
      the octave-variables variable in octave-mod.el (closes: #416046).
    + 50_examples-use-gnuclient: Use gnuclient instead of the deprecated
      gnudoit in the info-emacs-* examples (closes: #416431)

  * debian/patches/50_invalid_indexes.dpatch: Removed the useless creation
    of liboctave/Array.cc.orig

  * debian/in/PACKAGE.lintian: Added override for Lintian warning regarding
    m/miscellaneous/license.m being an extra-license-file

  * debian/rules: Create new rule save-files, on which configure depends
    and is run before patch-stamp.  This was necessary due to a problem in
    patching Octave-FAQ.texi and manipulating its @setfilename
    declaration.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 30 Mar 2007 13:10:19 +0200

octave2.9 (2.9.10-1) experimental; urgency=low

  * New upstream release:
    + The emacs/octave-inf.el file correctly calls the pwd command
      (closes: #416048).
    + debian/patches/50_glpk-pre-ifdef-logic.dpatch: Fixed #ifdef logic
      around macro GLPK_PRE_4_14, which was causing an extra closing brace
      to be introduced for the extern "C"  declaration when GLPK_PRE_4_14
      was not defined.  This patch has been sent to bug@octave.org.
    + debian/patches/50_syscalls-test-sleep.dpatch: Increase the amount of
      time to sleep, in case of errno == EAGAIN when running the test for
      syscalls.cc ("make check" hangs in an unpredictable way without this
      patch)

  * Removed dpatches (applied upstream):
    + 50_mkoctifle-man-indent-option
    + 50_fix_hold_state
    + 50_rename-octave-tags
    + 50_clean-mat-files
    + 50_empty-lhs-sparse
    + 50_plot-doc
    + 50_print-imagemagick-extensions
    + 50_correct_test
    + 50_glpk-api-v4.15
    + 50_parse-inline-brackets
    + 50_sparse_constructors

  * debian/rules:
    + Install emacs/octave-tags* files instead of emacs/otags*
    + Added conf.texi to $(savefiles)
    + Added hack for removing the libcruft/misc/pic directory left after
      "make clean", as well as the libcruft/mkf77def script and the test
      file test/a.wav
    + When building the architecture independent part of the package, call
      make with AWK=gawk, otherwise mawk will be used and the infamous
      error message "program limit exceeded: sprintf buffer size=1020"
      will be issued.

  * debian/in/control:
    + Added XS-Vcs-Svn and XS-Vcs-Browser fields
    + Build-depends on gawk

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Mar 2007 08:06:16 +0200

octave2.9 (2.9.9-9) experimental; urgency=low

  * debian/patches/50_glpk-api-v4.15.dpatch: Adapt the glpk binding to the
    new API for GLPK 4.15, as well as the autoconf check
  * debian/in/control: Build-depends on libglpk0 (>= 4.15)
  * Since glpk 4.15 is stuck in the NEW queue, this version of octave2.9 is
    released to experimental

  * debian/patches/50_parse-inline-brackets.dpatch: Fix a parsing problem
    in function handles and inlines were brackets are present.  This patch
    has been applied upstream in CVS. See
    http://www.cae.wisc.edu/pipermail/bug-octave/2006-October/000903.html

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 Feb 2007 23:04:38 +0100

octave2.9 (2.9.9-8) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/patches/50_print-imagemagick-extensions.dpatch: Added patch to
    avoid failures in print() when file extensions needing call to convert
    are specified by the user (closes: #408992)

  [ Thomas Weber ]
  * debian/patches/50_correct_test.dpatch: Use first file in loadpath for
    tests (closes: #410070)

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  8 Feb 2007 00:44:16 +0100

octave2.9 (2.9.9-7) unstable; urgency=low

  * debian/in/control: Changed wording of octave*-headers description.
    Thanks to Reuben Thomas for the suggestion (closes: #399190).
  * debian/patches/50_plot-doc.dpatch: Fixes a long-standing documentation
    bug in Octave, regarding the plot function.  Thanks to Francesco
    Potortì for the patch, which has been also applied to the 2.9 branch
    upstream (closes: #398935).

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 22 Dec 2006 11:54:57 +0100

octave2.9 (2.9.9-6) unstable; urgency=low

  [ Thomas Weber ]
  * debian/patches/50_sparse_constructors.dpatch: Patch for mixing bool
    with sparse matrices in kron() (closes: 395293). Thanks John Eaton.
  * debian/patches/50_invalid_indexes.dpatch: Fixes a crash, see
    http://www.cae.wisc.edu/pipermail/bug-octave/2006-November/001077.html
    Thanks John Eaton.

 -- Rafael Laboissiere <rafael@debian.org>  Wed,  8 Nov 2006 18:19:49 +0100

octave2.9 (2.9.9-5) unstable; urgency=low

  * debian/patches/50_empty-lhs-sparse.dpatch: Modified this patch
    to treat cases when the size of the LHS sparse matrix is reajusted
    while assigning to it (really closes: #394982).  Thanks to David
    Bateman and John W. Eaton.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Oct 2006 13:43:17 +0200

octave2.9 (2.9.9-4) unstable; urgency=low

  * debian/patches/50_empty-lhs-sparse.dpatch: Added patch to avoid
    crashes when calling sparse function with an unitialized LHS
    (closes: #394982).  Thanks to David Bateman.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Oct 2006 01:30:56 +0200

octave2.9 (2.9.9-3) unstable; urgency=low

  * Rebuilt to get the last changes regarding the renaming of otags

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Oct 2006 04:17:16 +0200

octave2.1 (1:2.1.73-13) unstable; urgency=low

  * debian/rules, debian/in/PACKAGE-emacsen.{postinst,prerm}: Renamed
    otags to be octave-tags, avoiding clashes with the Ocaml otags package
    (closes: #394789).
  * debian/patches/50_rename-octave-tags.dpatch: Added patch for renaming
    otags to be octave-tags in the upstream files.  These changes have been
    also applied in upstream CVS.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Oct 2006 02:41:03 +0200

octave2.1 (1:2.1.73-12) unstable; urgency=low

  * Rebuilt with gnuplot-nox build-dependency instead of gnuplot, in order
    to make some autobuilders happier

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  7 Oct 2006 12:40:54 +0200

octave2.9 (2.9.9-2) unstable; urgency=low

  [ Thomas Weber ]
  * debian/in/control: Add pcre to build-dependencies. It's needed since
    2.9.5 for some features.
  * debian/patches/50_fix_hold_state.dpatch: correct a problem when using
    clearplot; and hold on; (Closes: #391033), thanks John W. Eaton This
    patch changes a .l file, so we build-depend on flex in debian/control!

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  7 Oct 2006 12:29:56 +0200

octave2.9 (2.9.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/patches/50_sparse-fct-scalar-arg.patch.dpatch,
    debian/patches/50_options-order-doc.m.dpatch: Removed patches
    (applied upstream)
  * debian/patches/50_mkoctifle-man-indent-option.dpatch: New patch for
    indenting correctly the description of option --mex in the mkoctfile
    man page

  [ Thomas Weber ]
  * debian/in/control: build-depend on gnuplot-nox instead of gnuplot; maybe
    this will allow us to circumvent a temporary dependency problem with
    gnuplot on several architectures (alpha, mips, mipsel).

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  3 Oct 2006 14:43:07 +0200

octave2.9 (2.9.8-2) unstable; urgency=low

  * debian/patches/50_options-order-doc.m.dpatch: Fix the order of
    the options in the invocation of the info program, such that the
    info-emacs-info and info-emacs-octave-help scripts work again
    (closes: #368843)

  * debian/patches/50_sparse-fct-scalar-arg.patch.dpatch: Make spkron
    (and other sparse matrix functions) accept scalar arguments. Thanks to
    David Bateman <adb014 AT gmail DOT com> for posting the patch in
    bug@octave.org (closes: #387137).

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 13 Sep 2006 15:43:12 +0200

octave2.9 (2.9.8-1) unstable; urgency=low

  * New upstream release.   Empty arrays are correctly detect.  If array
    is empty, return/produce value is same size as array (closes: #384195)
  * debian/patches/50_clean-mat-files.dpatch: Clean *.mat files left by
    make check

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 29 Aug 2006 00:03:33 +0200

octave2.1 (1:2.1.73-11) unstable; urgency=low

  * debian/patches/50_OCTAVEHOME-texi.dpatch: Change OCTAVEHOME to
    /usr, which is the correct value in Debian systems
  * debian/in/octave2.1-00list: Include the above

  * debian/patches/50_octave-bug-tempfile.dpatch: In octave-bug, use
    Debian's tempfile(1) for enhanced security
  * debian/rules: Removed the Perl hack that used to implement the
    patch above

  * debian/patches/50_clean-pdf-docs: Clean PDF files in doc/ not cleaned
    by the maintainer-clean target

  * debian/rules: Split the targets make, build, and install into
    *-{arch,indep}.  With this change, only the files destined for
    inclusion in the architecture dependent packages will be generated by
    the autobuilders.
  * debian/subdirs-vars.pl: Perl script for manipulating the SUBDIRS and
    INSTALL_SUBDIRS variables in octMakefile, allowing the build/install
    of the documentation files separately

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 28 Aug 2006 21:23:33 +0200

octave2.1 (1:2.1.73-10) unstable; urgency=low

  * Regenerated octave2.1 packages for integrating the last changes
    regarding octave-depends
  * debian/patches/50_fixed-freqz.dpatch: Fix script/general/freqz.m,
    patch taken from upstream CVS (closes: #383097)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 15 Aug 2006 19:05:49 +0200

octave2.9 (2.9.7-2) unstable; urgency=low

  * debian/in/octave-depends:
    - Introduced substitution variables ${octave<major>:Depends}
    - Updated POD section accordingly
  * debian/rules: Create symlink for octave<major>-depends

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 14 Aug 2006 15:10:09 +0200

octave2.9 (2.9.7-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release.  A bug in the path function has been fixed
    upstream allowing again this function to accept more than one argument
    (closes: #374943).
  * Removed patches (applied upstream)
    - 50_array-out-of-bounds-2.9
    - 50_desktop-category-no-space
    - 50_fix_path-2.9
  * debian/in/control: Bump compat level to 5; depend on debhelper >= 5

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Aug 2006 12:01:23 +0200

octave2.9 (2.9.6-4) unstable; urgency=low

  * debian/patches/50_desktop-category-no-space.dpatch: remove extraneous
    space character in the Categories filed.  This is needed when building
    the package with desktop-file-utils version 0.11-1.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Jul 2006 14:42:21 +0200

octave2.1 (1:2.1.73-9) unstable; urgency=low

  [ Thomas Weber ]
  * Introduce mkoctfile<major> symlink:
    /usr/bin/mkoctfile<major> -> /usr/bin/mkoctfile-<version>,
    needed for octave2.X-forge mex binary

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Jul 2006 21:50:41 +0200

octave2.9 (2.9.6-3) unstable; urgency=low

  * debian/in/PACKAGE.conf: Added code for removing all the directories
    containing octave-forge .m scripts.  This allows octave2.9 and
    octave-forge to be installed together and avoids errors in octave2.9
    such as etime calling an outdated datenum function from octave-forge
    (closes: #375646).

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Jun 2006 16:57:16 +0200

octave2.9 (2.9.6-2) unstable; urgency=low

  * debian/in/PACKAGE.conf: Renamed from debian/octave.conf.  Contains
    slice directives for initializing the Octave path differently
    according to the branch: for 2.1, use the LOADPATH variable; for 2.9,
    use the addpath function (closes: #373965)
  * debian/control: Build-Depends on slice for doing the above
  * debian/rules: Install $(PACKAGE).conf instead of octave.conf

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 Jun 2006 04:46:35 +0200

octave2.9 (2.9.6-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release
  * debian/in/control: Don't conflict with octave-forge anymore.  Bug
    #362591 was indeed a problem with the configure script and has been
    fixed upstream.
  * debian/in/octave2.9-00list: Removed from the list the following
    patches:
    - 50_fix-apiversion-2.9.dpatch (applied upstream)
    - 50_system_doc-2.9.dpatch (applied upstream)
    - 50_octave-value-list-resize-2.9.dpatch (this was a gcc bug)
    - 50_automatic-replot-docstring (behaviour changed in 2.9)
    Put a space into the file -- otherwise it's empty and won't get included
    in the diff, thus breaking the build.

  [ Rafael Laboissiere ]
  * debian/in/control:
    - Bumped Standards-Version to 3.7.2 (no changes needed)
    - Constrain build-dependency on g++-4.1 >= 4.1.1-4, because the
      previous version wrongly triggers a "operator delete" compilation
      error  (see bugs #372705, #372152, and #372559).  This is only
      temporary, to insure that the autobuilders will work correctly.  In
      the next version of the package, this build-dependency will be
      dropped.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 13 Jun 2006 08:06:25 +0200

octave2.1 (1:2.1.73-8) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Integrate last changes from the 2.9 branch into octave2.1
  * debian/control: Bumped Standards-Version to 3.7.0 (no changes needed)

  [ Thomas Weber ]
  * debian/rules: Make parallel build possible and remove octave-config2.X
    link -- it is not needed
    defs.make: use api-versioned directory for m-files

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  1 May 2006 00:35:14 +0200

octave2.9 (2.9.5-7) unstable; urgency=low

  [ Thomas Weber ]
  * debian/patches/50_system_doc-2.9.dpatch: adapt the example in the
    documentation for the new output order of system()

  [ Rafael Laboissiere ]
  * Install doc files BUGS, SENDING-PATCHES, and THANKS
  * debian/in/octave*-watch: Fixed URLs

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 26 Apr 2006 18:46:07 +0200

octave2.9 (2.9.5-6) unstable; urgency=low

  * debian/in/control: Build-depends on libufsparse-dev incon the 2.9 branch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Apr 2006 14:34:29 +0200

octave2.9 (2.9.5-5) unstable; urgency=low

  [ Thomas Weber ]
  * debian/patches/50_fix-apiversion-2.9.dpatch: restore api
    versioned directories
  * debian/rules: introduce octave-config2.X symlink in preparation of
    dual built packages for Octave 2.1 and 2.9
  * debian/in/control: remove dependency on octave2.0 for -emacsen package

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 Apr 2006 11:36:14 +0200

octave2.9 (2.9.5-4) unstable; urgency=low

  * debian/in/control: Conflicts with octave-forge (closes: #362591)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Apr 2006 00:13:27 +0200

octave2.1 (1:2.1.73-7) unstable; urgency=low

  * debian/in/PACKAGE-htmldoc.doc-base.lib: Fixed path for HTML files.
    Really closes Bug #362251.
  * debian/patches/50_return-deffn.dpatch: Added patch, whcih completely
    closes Bug #361705.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Apr 2006 19:44:42 +0200

octave2.1 (1:2.1.73-6) unstable; urgency=low

  * debian/in/PACKAGE-htmldoc.doc-base.*: Fixed path for documentation
    files (closes: #362251)
  * debian/in/control: Removed build-dependency on slice, which was only
    needed for processing he files above

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 13 Apr 2006 08:59:28 +0200

octave2.9 (2.9.5-3) unstable; urgency=low

  * Uploaded to unstable
  * Closes: #360219, which was already fixed in experimental
  * debian/in/octave2.9-00list: Added 50_automatic-replot-docstring to the
    list.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 12 Apr 2006 11:30:01 +0200

octave2.1 (1:2.1.73-5) unstable; urgency=low

  * Uploaded to unstable, now that the libhdf5 transition is over
  * debian/rules: Cruft removal operation, dropped old and useless comments
  * debian/patches/50_automatic-replot-docstring.dpatch: Patch for adding
    a docstring for the automatic_replot built-in variable (closes:
    #361705, although only partially, because the "return" keyword is
    still indexed as a variable and I do not think the upstream author
    will change this)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 12 Apr 2006 09:43:41 +0200

octave2.1 (1:2.1.73-4) experimental; urgency=low

  * debian/in/octave2.1-00list: Added 50_g++4.1-fixes to the list

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  3 Apr 2006 14:44:34 +0200

octave2.1 (1:2.1.73-3) experimental; urgency=low

  * Uploading to experimental until the hdf5 transition is finished
  * debian/patches/50_g++4.1-fixes.dpatch: Allow compilation with g++ 4.1
  * debian/rules:
    - Cruft removal
    - Mode robust treatment of changed files in doc/ such that there is no
      problem at creation of the diff.gz file

 -- Rafael Laboissiere <rafael@debian.org>  Mon,  3 Apr 2006 09:11:21 +0200

octave2.9 (2.9.5-2) experimental; urgency=low

  * debian/in/control: Build-Depends on slice (closes: #360219)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Mar 2006 22:34:14 +0200

octave2.9 (2.9.5-1) experimental; urgency=low

  * New upstream release, released to the experimental distribution until
    the hdf5 transition is over
  * Redesigned the build & install processes for the html documentation,
    since it is now shipped in HTML directories under doc/.
  * debian/in/octave2.9-00list: Removed from the list the following
    patches:
    - 50_install-liboctinterp
    - 50_glpk-sparse
    - 50_octave-mod-bind-m-bs-2.9
    - 70_octave-mod-honor-auto-indent
    which have been applied upstream, and:
    - 50_mkoctfile.1-no-negative
    which does not seem to be necessary.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Mar 2006 13:10:49 +0200

octave2.1 (1:2.1.73-2) unstable; urgency=low

  * debian/in/control: Adjusted dependencies on libhdf5 >= 1.6.5 (both
    Build-Depends and octave<version>-headers Depends)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 29 Mar 2006 21:25:24 +0200

octave2.1 (1:2.1.73-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release
  * debian/rules: Add octave2.X.1.gz link for man page which makes lintian
    happy
  * removed patches (applied upstream):
    - 50_g++4.1.dpatch
    - 50_inferior-octave-resync-dirs.dpatch
    - 50_octave-value-list-resize-2.1.dpatch (not applied upstream, but it was
      only a work-around for a gcc bug)
    - 50_octave-mod-bind-m-bs-2.1.dpatch
  * new patches:
    - 50_lgamma_doc.dpatch (Closes: #335373)
    - 50_incomplete_gamma.dpatch (Closes: #335195)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 25 Mar 2006 18:11:10 +0100

octave2.1 (1:2.1.72-12) unstable; urgency=low

  * New mechanism for obtaining the versioned debian/watch files
  * debian/in/octave*-watch: Source files for the the debian/uscan files
  * debian/rules:
    - Generate debian/watch from debian/in/octave*-watch
    - Link the manpage for octave$(major) to that for octave-$(version),
      such that there will be no binary without manpage
  * debian/in/octave2.1-00list: Really apply patch 50_g++4.1

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 16 Mar 2006 18:31:11 +0100

octave2.9 (2.9.4-13) unstable; urgency=low

  * debian/patches/50_octave-value-list-resize-2.9.dpatch: Adjusted patch
    for compilation with g++ 4.1 (thanks to Martin Michlmayr,
    closes: #356634)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 13 Mar 2006 14:49:30 +0100

octave2.1 (1:2.1.72-11) unstable; urgency=low

  * debian/patches/50_g++4.1.dpatch: Added patch proposed by John W. Eaton
    to allow compilation with g++ 4.1.
  * debian/patches/50_octave-value-list-resize-2.1.dpatch: Adjusted patch
    for compilation with g++ 4.1 (thanks to Martin Michlmayr)
  * With the two changes above, closes: #355980

  * N.B.: the present version of the package was compiled with g++ 4.0,
    because this is the version of the GCC suite in sid.  However, the
    changes were tested with g++ 4.1 available from experimental, and it
    worked.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 13 Mar 2006 10:04:42 +0100

octave2.9 (2.9.4-12) unstable; urgency=low

  * debian/patches/50_glpk-sparse.dpatch: Patch to make glpk work with
    sparse matrices (thanks to Kim Hansen <k-reportbug@oek.dk>,
    closes: 350230)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Jan 2006 15:23:55 +0100

octave2.9 (2.9.4-11) unstable; urgency=low

  * debian/patches/70_octave-mod-honor-auto-indent.dpatch: Upstream patch
    for honoring the octave-auto-indent variable in emacs/octave-mod.el
    (closes: #341759)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Jan 2006 17:51:55 +0100

octave2.1 (1:2.1.72-10) unstable; urgency=low

  * debian/rules: Symlink /usr/bin/octave<major> to
    /usr/bin/octave-<version>

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 26 Jan 2006 13:49:23 +0100

octave2.1 (1:2.1.72-9) unstable; urgency=low

  * debian/in/deps.make: Added this template file, where the octave-config
    command is versioned.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Jan 2006 17:07:19 +0100

octave2.9 (2.9.4-10) unstable; urgency=low

  * debian/in/control: Generate octave package only for the 2.1 branch.

  * The last upload was rejected because the octave package has being
    wrongly generated.  This version still closes: #340428 (use uploader
    name in debian/changelog trailer lines instead of mailing list address
    for pkg-octave-devel)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 19 Jan 2006 15:25:24 +0100

octave2.9 (2.9.4-9) unstable; urgency=low

  * Synchronized Debian-specific files with latest changes in the 2.1.*
    branch.
  * debian/changelog: Now using the uploader name in the trailer lines
    instead of the pkg-octave-devel mailing list address
    (closes: #340428)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 18 Jan 2006 17:23:03 +0100

octave2.1 (1:2.1.72-8) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/octave-depends: New template file.  Give full path to
    octave-config.  Uses replaceable strings @MAJOR@ and @VERSION@.
  * debian/rules: Generate debian/octave-depends from
    debian/in/octave-depends

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sat, 31 Dec 2005 01:08:32 +0100

octave2.1 (1:2.1.72-7) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * This version use an epoch in its number.  This is necessary due to the
    mistake I did in uploading the octave_2.9.4-1 virtual package to
    unstable.  The 2.9.4-1 version replaced the 2.1.72-* version and this
    is wrong because the 2.1 (testing) branch should take precedence over
    the 2.9 (unstable) branch.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sat, 26 Nov 2005 22:52:34 +0100

octave2.9 (2.9.4-8) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * Rebuilt the 2.9 branch with the m68k-specific settings removed.
  * debian/in/control: The octave virtual package is now only generated
    for the 2.9 branch, but depends on octave2.1, which is the recommended
    version for end-users.  This is counter-intuitive, but is necessary
    due to a mistake in uploading the octave virtual package with version
    2.9.4-1, which is still stuck in unstable.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun, 27 Nov 2005 12:39:36 +0100

octave2.1 (2.1.72-6) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/control: The package now build-depends on gfortran on all
    architectures, incluing m68k, which used to build-depend on fort77.
  * debian/rules: Removed all m68k-specific settings.  This should fix the
    FTBFS on m68k.  Thanks to Stephen R Marenka <stephen@marenka.net>
    for the patch (closes: #340773)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Fri, 25 Nov 2005 23:05:29 +0100

octave2.9 (2.9.4-7) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/control: Added libglpk0 to the build-dependencies for
    octave2.9.  The __glpk__.oct module, which is dynamically loadable,
    nows links against a shared library (libglpk0.so) (closes: #310226).

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu, 24 Nov 2005 09:44:21 +0100

octave2.9 (2.9.4-6) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/patches/50_octave-mod-bind-m-bs-2.9.dpatch: Bind M-BS key
    sequence to backward-kill-word in XEmacs (closes: #340125)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue, 22 Nov 2005 14:48:51 +0100

octave2.1 (2.1.72-5) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/patches/50_octave-mod-bind-m-bs-2.1.dpatch: Bind M-BS key
    sequence to backward-kill-word in XEmacs

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue, 22 Nov 2005 10:49:15 +0100

octave2.9 (2.9.4-5) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/PACKAGE-info.prerm: Remove alternatives to the info files
    (closes: #339964)
  * debian/rules (clean): Remove file examples/octave.desktop, which
    should be removed by make distcleamn, but is not

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Mon, 21 Nov 2005 13:01:24 +0100

octave2.1 (2.1.72-4) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/PACKAGE-info.prerm: Remove alternatives to the info files
    (closes: #339959)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun, 20 Nov 2005 18:46:56 +0100

octave2.9 (2.9.4-4) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * Recompiled to drop the binary dependency on libglpk0, which sneaked
    into the last release

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 16 Nov 2005 22:56:02 +0100

octave2.9 (2.9.4-3) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/rules: Set DESTDIR in the call to make install, instead of
    setting every installation directory explicitly.  This should fix the
    problem of wrong paths in the PKG_ADD file (closes: #339442)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 16 Nov 2005 20:28:19 +0100

octave2.1 (2.1.72-3) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/control: Make the virtual octave package architecture =  all

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 16 Nov 2005 14:28:48 +0100

octave2.9 (2.9.4-2) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/patches/50_octave-value-list-resize-2.9.dpatch: Added patch for
    the 2.9.* branch (see below)
  * debian/in/control: Generate an unversioned, virtual octave package
    only for the 2.1 branch, which is the recommended one

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 16 Nov 2005 09:54:15 +0100

octave2.1 (2.1.72-2) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/patches/50_octave-value-list-resize-2.1.dpatch: Added patch
    posted by J. W. Eaton in the help-octave mailing list for avoiding
    crashes in the octave_value_list destructor

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue, 15 Nov 2005 22:16:18 +0100

octave2.9 (2.9.4-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/in/octave2.9-00list:
    - Removed patch 50_no-check-nested-functions-2.9, which has been
      applied upstream
    - Added patch 50_install-liboctinterp, necessary for installing
      liboctinterp.so in /usr/lib/octave-<version>

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Mon, 14 Nov 2005 22:58:56 +0100

octave2.1 (2.1.72-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/in/octave2.1-00list: Removed patch
    50_no-check-nested-functions-2.1, which has been applied upstream

  * Packages octave2.1-* and octave2.9-* can now be installed together
    (FIXME: THIS DOES NOT WORK FOR octave2.x-info YET!!!)
  * debian/in/control: Packages octave*-headers, octave*-doc, and
    octave*-htmldoc conflict with versions << 2.1
  * debian/in/PACKAGE-htmldoc.doc-base.*: Make versioned documents for
    doc-base
  * debian/rules:
    - Install versioned octave-depends, defs.make, and and 50octave.el
      files
    - (configure-stamp) Set versioned infofile variable in call to
      configure
    - (make-stamp) Save texi files in *-save and replace setfilename
      macros with versioned names
    - (clean) Recover original *.texi files
    - Substitute PRIORITY variable in debian/in/*.postinst scripts,
      with octave2.1 taking high priority than octave2.9 for all
      alternatives set through update-alternatives
  * debian/in/PACKAGE-headers.{postinst,prerm}: Install/remove
    alternatives to octave-depends and defs.make
  * debian/in/*.postinst: Set PRIORITY variable
  * debian/in/PACKAGE-info.postinst:
    - Install versioned info files
    - Set alternatives to all versioned info files

  * debian/rules: cope with the new output of dpkg-architecture for arm
    and m68k, which changed recently (thanks to Christian T. Steigies
    <cts@debian.org> for spotting the problem)

  * debian/in/PACKAGE-htmldoc.postinst: Removed this script, because it
    does nothing more than include the debhelper-generated one

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun, 13 Nov 2005 22:58:51 +0100

octave2.9 (2.9.3-1) experimental; urgency=low

   +++ Changes by Colin Ingram

  * New upstream release
  * debian/rules: adjusted to build from octave2.9 source directory
  * debian/patches/50_no-check-nested-functions.dpatch removed
  * debian/patches/50_mkoctfile.1-no-negative.dpatch added

   +++ Changes by Rafael Laboissiere

  * The patches applied by dpatch are now done selectively according to
    the version of Octave.  For that, the debian/patches/00list file is
    now generated when running "./debian/rules maintainer-scripts" from
    the files debian/in/$(PACKAGE)-00list.
  * debian/rules (maintainer-scripts): Generate file
    debian/patches/00list
  * debian/in/octave2.1-00list, debian/in/octave2.9-00list: New files.
  * debian/patches/50_no-check-nested-functions-2.1.dpatch: New patch,
    which is actually the same used in the last version of the package
    octave2.1.
  * debian/patches/50_no-check-nested-functions-2.9.dpatch: New patch,
    only for octave2.9, which is equivalent to the one used for
    octave2.1.
  * debian/in/PACKAGE.lintian:
    - Made this file package-independent, really
    - Removed old Lintian overrides

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Fri,  4 Nov 2005 10:30:54 +0100

octave2.1 (2.1.71-7) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/patches/50_no-check-nested-functions-2.1.dpatch: Added patch
    from the upstream CVS sources to avoid detrimental effects of cd()
    commands in ~/.octaverc when running octave-inferior-mode in (X)Emacs
    (closes: #324471).

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu,  3 Nov 2005 10:19:22 +0100

octave2.1 (2.1.71-6) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/PACKAGE-emacsen.emacsen-startup: Commented out code that
    fiddles with user preferences (closes: #334347)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 26 Oct 2005 23:26:27 +0200

octave2.1 (2.1.71-5) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/in/PACKAGE.prerm: Remove ls-R database for kpathsea
    (closes: #332492)
  * debian/in/control: Build-depend on fort77 for the m68k architecture and
    on gfortran for the others (closes: #333463)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 12 Oct 2005 08:44:01 +0200

octave2.1 (2.1.71-4) unstable; urgency=low

  +++ Changes by Rafael Laboissiere

  * debian/in/control: Synchronize the build-dependencies with the
    octave2.1-headers binary dependencies (closes: #328732).

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sat, 17 Sep 2005 10:47:24 +0200

octave2.1 (2.1.71-3) unstable; urgency=low

  +++ Changes by Rafael Laboissiere

  * Recompiled against libhdf5-serial-1.6.4-0c2 and with g++ 4.0.  This
    should complete the C++ ABI transition for the octave2.1 package
    (closes: #327027).
  * Also, once this version will reach unstable, problems with using
    mkoctfile with g++ 4.0 will disappear (closes: #327509).

  * debian/compat: Created this file, containing the compatibility level 4
    for debhelper.  This avoids warning messages from the debhelper
    scripts.
  * debian/rules: Change installation directory from debian/tmp to
    debian/octave2.1 and also gives the later as --sourcedir for the
    dh_movefiles command.  This allows building the package under
    debhelper compatibility level = 4.
  * debian/in/PACKAGE.conffiles, debian/octave2.1.conffiles,
    debian/in/PACKAGE-emacsen.conffiles,
    debian/octave2.1-emacsen.conffiles: Removed files, since debhelper in
    compatibility level 4 adds automatically all files in /etc/ to the
    conffiles file.

  * debian/copyright: Updated Free Software Foundation address.

  * debian/changelog:  Removed all instances of the deprecated
    "[Cc]loses=*" from the package version lines.  Removed all the entries
    before version 1.1.1-7, because they were not in the correct format.
    This legacy material is now in debian/changelog-old.

  * debian/patches/50_no-check-nested-functions.dpatch: Added patch which
    avoid global function definitions to take over local ones (see
    http://www.octave.org/mailing-lists/help-octave/2005/3189).

  * debian/octave-config.1: Removed this file, since there is another one
    upstream which is up-to-date (in doc/interpreter).

  * debian/rules: The octave-config script is now part of the
    octave($version)-headers package.
  * debian/in/PACKAGE.postinst, debian/in/PACKAGE-headers.postinst: Update
    alternatives for octave-config and octave-config.1 in
    octave($version)-headers package instead of octave($version).

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Fri, 16 Sep 2005 10:20:17 +0200

octave2.1 (2.1.71-2) unstable; urgency=low

  +++ Changes by Rafael Laboissiere

  * Uploaded to the unstable distribution.  Actually, there was no bump in
    the API version, it is still api-v13
  * This version fixes the FTBFS problem on amd64 using g++ 4.0 related to
    wrong enum declarations in src/lex.l and src/toplevel.cc (closes:
    #314705).
  * debian/in/control: Bumped Standards-Version to 3.6.2. No changes needed.
  * debian/in/PACKAGE.menu: Use full version number for the menu command.
    This makes Lintian happy.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun,  3 Jul 2005 21:43:30 +0200

octave2.1 (2.1.71-1) experimental; urgency=low

  +++ Changes by Rafael Laboissiere

  * New upstream release, released to experimental because the API number
    bumped from api-v13 to api-v15.  This makes several other
    Octave-related package unusable and the uploads to unstable must be
    coordinated.
  * debian/in/watch: New template file for debian/watch, which takes into
    account the MAJOR number of the Octave branch (currently either 2.1 or
    2.9).
  * debian/rules (helper-files): Generate debian/watch from
    debian/in/watch
  * debian/in/control: Versioned build-dependency on libhdf5-serial-dev (>=
    1.6.4)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun, 19 Jun 2005 15:39:44 +0200

octave2.9 (2.9.2-2) experimental; urgency=low

   +++ Changes by Rafael Laboissiere

  * debian/rules: Do not remove src/gplot.cc in clean target.  This file
    is built upstream from gplot.l using flex and its removal was causing
    the build daemons to fail.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 27 Apr 2005 13:38:04 +0200

octave2.9 (2.9.2-1) experimental; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/rules: Remove generated files that were left after make clean

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Mon, 25 Apr 2005 14:05:27 +0200

octave2.9 (2.9.1-1) experimental; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release, development branch (closes: #303201)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue,  5 Apr 2005 21:15:53 +0200

octave2.1 (2.1.69-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Wed, 30 Mar 2005 23:47:33 +0200

octave2.1 (2.1.68-1) experimental; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Mon, 28 Mar 2005 20:27:37 +0200

octave2.1 (2.1.67-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/patches/00list: Removed 50_build-faq-pdf.dpatch, since it has
    been applied upstream
  * debian/control: For the octave2.1-doc package, changed mention to
    PostScript to PDF, since the former format is not distributed anymore

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Fri,  4 Mar 2005 21:01:19 +0100

octave2.1 (2.1.66-1) unstable; urgency=low

   +++ Changes by Rafael Laboissiere

  * New upstream release
  * debian/control: Build-depend on dpatch
  * debian/rules:
    - Adjust for using dpatch
    - Use compiler flag "-O0" instead of "-O1" for the m68k architecture.
      Let us hope that this will fix the buildd problem on the m68k
      architecture.
    - Removed hack to build the PDF documentation files, since they are
      now built by the upstream Makefile
  * debian/patches/50_build-faq-pdf.dpatch: Added patch for building
    Octave-FAQ.pdf

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Fri, 25 Feb 2005 13:17:32 +0100

octave2.1 (2.1.65-1) unstable; urgency=low

  +++ Changes by J. Rafael Rodriguez Galvan:

  * New upstream release 2.1.65 released 24 hours ago

  +++ Changes by Rafael Laboissiere

  * debian/*.postinst.in, debian/*.prerm.in: Moved these files from the
    original *.postinst and *. prerm ones
  * debian/octave2.1.lintian.in: Idem from octave2.1.lintian
  * debian/defs.make, debian/octave-depends: Added files
  * debian/rules:
    - (configure-stamp) Generate *.postinst, *.prerm, and *.lintian by
      replacing the  @VERSION@ string with the current Octave version number
    - (clean) Remove the *.postinst, *.prerm, *.lintian files generated
      automatically
    - (install) Install files defs.make and octave-depends in
      octave2.1-headers package
  * Install PDF documentation files instead of the PS ones.  There is a
    pdfdocs variable in debian/rules now that control which files are
    built/installed.  Build-Depends on tetex-bin. (Closes: #293562)

  +++ Changes by Adam Conrad:

  * Add logic to debian/rules and debian/control to make sure that
    octave2.1-headers depends on f2c on m68k (closes: #292917)

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Tue, 22 Feb 2005 09:39:05 +0100

octave2.1 (2.1.64-3) unstable; urgency=low

  +++ Changes by Rafael Laboissiere:

  * debian/rules: Get the logic around octave-bug.in right.  This was
    causing a FTBFS in all architectures because the test failed and,
    consequently, make failed (closes: #292403).
  * debian/changelog: Start using "Debian Octave Group" in the signature
    of entries.  Also, added Emacs variable settings at the end, handy
    when using debian-changelog-mode.  This avoids two warnings issued by
    Lintian regarding mismatch between maintainer and uploader, and the
    necessity to document NMU.

 -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu, 27 Jan 2005 10:11:21 +0100

octave2.1 (2.1.64-2) unstable; urgency=low

  * Uploaded in behalf of the new maintainer of the octave2.1 packages: the
    Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
  * debian/control:
    - Changed Maintainer
    - Build-depends on libreadline5-dev
    - octave2.1-headers depends on libreadline5-dev
    - Lower-cased the first word and removed some "The" words in the short
      description of packages, as per the Developers Reference, section
      6.2.2.  This makes Lintian happy.
  * debian/rules:
    - (clean) Inverse the order of the calls to rm libcruft/*/Makefile and
      make distclean.  This was causing several *.o in libcruft to be left
      after debian/rules clean, which resulted in dpkg-source breakage when
      building the diff.gz package file.
    - (configure) Save the original octave-bug.in file as octave-bug.in.orig
      prior to the tempfile substitution
    - (clean) Restore octave-bug.in.orig as octave-bug.in, such that the
      patch does not end up in the diff.gz file

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 24 Jan 2005 16:39:08 +0100

octave2.1 (2.1.64-1) unstable; urgency=low

  * New upstream release 2.1.64 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 Dec 2004 15:28:18 -0600

octave2.1 (2.1.63-1) unstable; urgency=low

  * New upstream release 2.1.63 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Nov 2004 13:33:59 -0600

octave2.1 (2.1.62-1) unstable; urgency=low

  * New upstream release 2.1.62 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Nov 2004 08:46:26 -0600

octave2.1 (2.1.61-1) unstable; urgency=low

  * New upstream release 2.1.61 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  5 Nov 2004 21:56:02 -0600

octave2.1 (2.1.60-1) unstable; urgency=low

  * New upstream version 2.1.60 released today
  * debian/watch: Added watch file

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Sep 2004 14:51:13 -0500

octave2.1 (2.1.59-1) unstable; urgency=low

  * New upstream version 2.1.59 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Sep 2004 12:20:14 -0500

octave2.1 (2.1.58-1) unstable; urgency=low

  * New upstream version 2.1.58 released today
  * This upstream contains fixes for the following bug reports:
    -  "for i=1:5; (tril(..." segfaults octave 2.1.57" (Closes: #240117)
    -  "Problem with built-in function frewind" (Closes: #268907)
    -  "Problem with function errorbar" (Closes: #269525)

  * debian/rules: Configure with atlas variable
    --with-blas=-lblas-3 --with-lapack=-llapack-3
  * debian/control: octave2.1-headers now Depends on
    lapack3-dev | atlas3-base-dev | liblapack-3.so,
    refblas3-dev | atlas3-base-dev | libblas-3.so
    to ensure simpler defaults before atlas or the virtual package
  * debian/control: Rewrote Description for octave-doc (Closes: #263492)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Sep 2004 18:55:04 -0500

octave2.1 (2.1.57-4) unstable; urgency=low

  * debian/control: Change Build-Depends for Atlas again to
    refblas3-dev | atlas3-base-dev, lapack3-dev | atlas3-base-dev
  * debian/control: Also remove '... | liblapack.so.3, ... | libblas.so.3'
    from Depends for octave2.1-headers
  * debian/rules: Also update atlas configure argument
  * debian/control: Upgrade Standards-Version: to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  7 Jul 2004 17:47:25 -0500

octave2.1 (2.1.57-3) unstable; urgency=low

  * debian/control: Update Build-Depends to new Atlas scheme:
    refblas3-dev | libblas-3.so, lapack3-dev | liblapack-3.so
  * debian/control: Similarly, Depends of octave2.1-headers set to
    "atlas-base-dev | lapack3-dev | liblapack.so.3, atlas3-base-dev |
    refblas3-dev | libblas.so.3"   (Closes: #253477)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Jun 2004 21:49:17 -0500

octave2.1 (2.1.57-2) unstable; urgency=low

  * Rebuild required by hdf5 library .so number change (Closes: #243095)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Apr 2004 21:58:36 -0500

octave2.1 (2.1.57-1) unstable; urgency=low

  * New upstream version 2.1.57 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Mar 2004 14:52:12 -0600

octave2.1 (2.1.56-1) unstable; urgency=low

  * New upstream version 2.1.56 released today
  * debian/rules: Adapted to only --with-f77 (without --with-g77) upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  5 Mar 2004 14:24:50 -0600

octave2.1 (2.1.55-1) unstable; urgency=low

  * New upstream version 2.1.55 released an hour ago

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Feb 2004 18:48:53 -0600

octave2.1 (2.1.54-2) unstable; urgency=low

  * debian/control: Build-Depends for octave2.1-headers expanded by
    refblas3-dev | atlas3-base-dev, lapack3-dev | atlas3-base-dev, fftw3-dev
  * debian/rules: Apply debian/2.1.54_arrayindex.patch from octave-maintainers
    list to correct a slowdown in array indexing operation due to N-d code

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Feb 2004 07:55:28 -0600

octave2.1 (2.1.54-1) unstable; urgency=low

  * New upstream version 2.1.54 released today
  * Upstream changes to close the two open bugs
    octave2.1-emacsen: strings between single quotes containing % troubles
    							(Closes: #231272)
    Missing file from html documentatios (Closes: #231451)

  * debian/control: Build-Depends changed from fftw-dev to fftw3-dev
    to match upstream change to support the faster fftw3

  * debian/control: Build-Depends upgraded from atlas2 to atlas3 using
    'refblas3-dev | atlas3-base-dev, lapack3-dev | atlas3-base-dev'
    Previous value was the slighty more complex 'atlas2-base-dev
    (>= 3.2.1ln-6) [!arm] | atlas2-3dnow-dev (>= 3.2.1ln-6) [!arm], blas-dev'
  * debian/rules: Consequently, change configure targets for blas and lapack
  	  --with-blas=/usr/lib/libblas2.so \
          --with-lapack=/usr/lib/liblapack2.so
    to
  	  --with-blas=/usr/lib/libblas-3.so \
	  --with-lapack=/usr/lib/liblapack-3.so
    Thanks to Camm Maguire for all his work on the Atlas et al libraries

  * debian/control: (Finally) changed Depends for octave2.1-emacsen from
    'emacs20 | ...' to 'emacs21 | xemacs21 | emacsen' (Closes: #232778)

  * debian/octave2.1.lintian: Added a new entry
    'octave2.1: binary-or-shlib-defines-rpath \
    	./usr/lib/octave-2.1.54/liboctave.so.2. 1.54 /usr/lib/octave-2.1.54'

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Feb 2004 17:07:03 -0600

octave2.1 (2.1.53-4) unstable; urgency=low

  * debian/control: Corrected Depends for octave2.1-headers to
    "libhdf5-serial-dev | libhdf5-lam-dev | libhdf5-mpich-dev" (Closes: #231114)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Feb 2004 20:08:15 -0600

octave2.1 (2.1.53-3) unstable; urgency=low

  * debian/rules: Run configure with DEFAULT_PAGER=pager (Closes: #230524)
  * debian/control: No longer Depends: on less as /etc/alternatives for
    /usr/bin/pager must be present, and allows user to override locally

  * debian/control: Added "libreadline4-dev, libncurses5-dev,
    libhdf5-serial-dev" to Depends for octave2.1-headers

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Feb 2004 18:53:58 -0600

octave2.1 (2.1.53-2) unstable; urgency=low

  * debian/rules: Run configure again --with-hdf5
  * debian/control: Add libhdf5-serial-dev to Build-Depends

  * liboctave/Array-flags.h: Apply patch by Jakub Bogusz which stops
    both a segfault on Sparc and unaligned traps on Alpha.

  * emacs/octave-mod.el: Apply patch by John Eaton to correct octave mode
    error with very recent XEmacs versions (Closes: #229336)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Jan 2004 23:00:00 -0600

octave2.1 (2.1.53-1) unstable; urgency=low

  * New upstream version 2.1.53 released today

  * This new version contains upstream fixes for the pending Debian bugs:
    - octave-config echoes an empty path (Closes: #222225)
    - online docs of plot contains non-working example (Closes: #223473)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Jan 2004 23:33:21 -0600

octave2.1 (2.1.52-1) unstable; urgency=low

  * New upstream version octave 2.1.52 released today
  * Includes change to concatenation bug (Closes: #221685)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Nov 2003 16:18:43 -0600

octave2.1 (2.1.51-1) unstable; urgency=low

  * New upstream version octave 2.1.51 released today

  * This represents a fairly major change from the last release. Quoting from
    the announcement:
       This version has many new features and bug fixes.  The biggest change
       is that N-d arrays (for numbers, structs, and cells) are mostly
       working, though there are some significant features that still need to
       be implemented.  For example, the [] operator will fail to concatenate
       N-d arrays, but we hope to fix this for 2.1.52.  If you find that
       another of your favorite N-d array operations doesn't work, please
       mention it so we can have some idea of what features are missed the
       most.
    See http://www.octave.org/mailing-lists/octave-maintainers/2003/353
    for the full announcement, or the upstream ChangeLog in the package.

  * debian/control: Standards-Version increased to 3.6.1.0
  * debian/control: octave2.1-doc suggests reduced to 'gv | postscript-viewer'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 15 Nov 2003 22:09:59 -0600

octave2.1 (2.1.50-3) unstable; urgency=low

  * src/utils.cc: Patch by Eric de Castro Lopo which fix usages of vsnprintf;
    a similar patch is already in the upstream CVS earlier (Closes: #204391)
  * debian/octave2.1.menu: Small beautification

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  4 Nov 2003 20:33:12 -0600

octave2.1 (2.1.50-2) unstable; urgency=low

  * debian/{rules,control}: For m68k, switch from f2c to fort77 as some
    add-on packages' Makefiles cannot cope with the f2c invocation.
    Also add FFLIBS=-lf2c in call to configure. Spezial thanks to
    Christian Steigies for testing all this prior to this upload.
  * debian/control: Added blas-dev and less to Build-Depends
  * debian/copyright: Add www.octave.org as upstream location (Closes: #199561)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  5 Jul 2003 08:49:51 -0500

octave2.1 (2.1.50-1) unstable; urgency=low

  * New upstream version octave 2.1.50 released today
  * debian/{rules,control}: Revert back to using default gcc suite now
    that version 3.3 is in unstable and testing; still use f2c for m68k

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Jun 2003 18:21:52 -0500

octave2.1 (2.1.49-3.0.1) unstable; urgency=low

  * The "don't type 3.2 when you want 3.3 release"
  * debian/rules: now really use g77-3.3 if arch is hppa-linux

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  1 Jun 2003 08:08:32 -0500

octave2.1 (2.1.49-3) unstable; urgency=low

  * The "another ones bites the dust" release
  * debian/rules: Another minor little change needed for hppa and g77-3.3

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 May 2003 23:54:28 -0500

octave2.1 (2.1.49-2) unstable; urgency=low

  * The "will we get this into testing now?" release
  * As we managed to get octave2.1 compiled on m68k (using f2c) and on
    hppa (using gcc/g++ 3.3), let's remove the last problem: hdf5 which has
    a grave upstream bug (#193033) and will not currently enter testing
  * debian/rules: Configure call (temporarily) changed to  --without-hdf5
  * debian/control: Build-Depends on libhdf5-serial-dev (>= 1.4.5) removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 May 2003 19:10:58 -0500

octave2.1 (2.1.49-1.0.1) unstable; urgency=low

  * debian/{control,rules}: Use gcc/g++/g77 3.3 on hppa.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 May 2003 20:30:56 -0500

octave2.1 (2.1.49-1) unstable; urgency=low

  * New upstream version octave 2.1.49 released today
  * debian/{control,rules}: Use f2c on m68k, again. Whatever it takes.

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 27 May 2003 19:39:27 -0500

octave2.1 (2.1.48-3) unstable; urgency=low

  * debian/control: Hardwire Depends: on gcc et al to 3.2 as some of
    Octave's C++ code is not yet ready for release 3.3 of g++
  * debian/rules: After days of experimenting with crest.debian.org (scoring
    an impressive 96 bogomips), we found that g77 -O0 and -O2 really don't
    work for m68k on some of the legacy Fortran, but miracously f2c -O1 does
    -- and so does gcc -O1. Luckily it only took about 26 hours for each
    'make' run, and I am really glad that Debian Policy more or less forces
    me to care so much about m68k. If only there were any users for this
    architecture ...
    .
    Needless to say, it is somewhat sad that this recompilation is forced
    upon the other architectures on which gcc/g++/g77 are working just fine.
    Oh the things one has to do to get Octave back into Debian testing.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 May 2003 23:25:55 -0500

octave2.1 (2.1.48-2) unstable; urgency=low

  * liboctave/kpse.cc: Applied two upstream patches
  * liboctave/Array-idx.h: Applied one-byte upstream patch
  * debian/rules: Make sure .oct file examples get into octave2.1-headers

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 May 2003 19:18:40 -0500

octave2.1 (2.1.48-1) unstable; urgency=low

  * New upstream version octave 2.1.48 released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  6 May 2003 14:51:34 -0500

octave2.1 (2.1.47-2) unstable; urgency=low

  * liboctave/kpse.cc: Applied patch by JWE to ensure that directory
    ends with directory separator (Closes: #191859)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  4 May 2003 20:06:24 -0500

octave2.1 (2.1.47-1) unstable; urgency=low

  * New upstream version octave 2.1.47 released this evening
  * scripts/control/base/__bodquist__.m: Fixed (Closes: #187427)
  * debian/control: s/eisspack/eispack/ in Description
  * debian/control: Raised Standards-Version to 3.5.9q
  * debian/octave2.1.postinst: Raise update-alternatives priority for
    octave entry, default is no longer provided by the octave2.0 package
  * debian/control: Added entry for 'octave' package from 2.0 branch as the
    'octave' package now Depends on octave2.1 as per discussion with JWE

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  2 May 2003 21:54:50 -0500

octave2.1 (2.1.46-3) unstable; urgency=low

  * Rebuilt against new hdf5 packages. Thanks for the heads-up, Josselin!
  * debian/control: Updated Build-Depends to libhdf5-serial-dev (>= 1.4.5)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Mar 2003 20:49:18 -0600

octave2.1 (2.1.46-2) unstable; urgency=low

  * debian/rules: Configure with --enable-rpath

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  5 Mar 2003 09:28:32 -0600

octave2.1 (2.1.46-1) unstable; urgency=low

  * New upstream version octave 2.1.46 released this evening
  * debian/rules: Correct softlink for /etc/octave2.1.conf (Closes: #182000)
  * debian/octave2.1.menu: Corrected the menu entry

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  3 Mar 2003 21:44:04 -0600

octave2.1 (2.1.45-1) unstable; urgency=low

  * New upstream version octave 2.1.45 released today
  * debian/rules: Ensure that 3.2 versions of gcc et al are called
  * debian/rules: Install emacs/otags.1 as debian/otags.1 is upstream too
  * debian/octave-config.1: Contributed manual page

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Feb 2003 19:57:24 -0600

octave2.1 (2.1.44-1) unstable; urgency=low

  * New upstream version octave 2.1.44 released today
  * debian/control: Build-Depends on gcc/g77/g++ (>= 3.2.2)
  * debian/rules: Adjusted accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  3 Feb 2003 18:49:10 -0600

octave2.1 (2.1.43-2) unstable; urgency=low

  * Added scrips/mkpkgadd from upstream email by JWE
  * debian/rules: configure to --build $(system), not --host $(system)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  5 Jan 2003 07:59:10 -0600

octave2.1 (2.1.43-1) unstable; urgency=low

  * New upstream version octave 2.1.43 released this evening
  * Added acx_blas.m4 and acx_lapack.m4 from email from JWE as well

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 Jan 2003 22:29:27 -0600

octave2.1 (2.1.42-4) unstable; urgency=low

  * debian/rules: Don't use Debian's kpathsea with gcc 3.2

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 Jan 2003 21:00:45 -0600

octave2.1 (2.1.42-3) unstable; urgency=low

  * debian/rules: Use F77, not FC, to set the fortran compiler

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 Jan 2003 17:15:35 -0600

octave2.1 (2.1.42-2) unstable; urgency=low

  * Rebuilt again from pristine sources, some intermediate .d files had
    not been cleaned and thus crept into the .diff.gz which leads to
    failures on all non-i386 autobuilders.
  * debian/{control,rules}: Re-enable hdf5 support

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 Jan 2003 14:02:20 -0600

octave2.1 (2.1.42-1) unstable; urgency=low

  * New upstream version octave 2.1.42 released today (as was 2.1.41)
  * debian/{control,rules}: Adjusted to require gcc/g77/g++ 3.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  2 Jan 2003 20:56:57 -0600

octave2.1 (2.1.40-1) unstable; urgency=low

  * New upstream version octave 2.1.40 released earlier today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Nov 2002 20:25:23 -0600

octave2.1 (2.1.39-1) unstable; urgency=low

  * New upstream version octave 2.1.39 released earlier today
  * debian/mkoctfile.1: Contributed manual page

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  1 Nov 2002 18:14:39 -0600

octave2.1 (2.1.38-1) unstable; urgency=low

  * Upgraded to Octave 2.1.38 released earlier this evening

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Oct 2002 21:04:44 -0600

octave2.1 (2.1.37-2) unstable; urgency=low

  * src/Makefile.in, liboctave/Makefile.in: Applied upstream patch to
    build kpathsea library correctly on hppa (Closes: #166179)
  * src/ov-mapper.cc: Applied small patch by JWE from bug-octave ML
  * debian/control: Section on octave2.1-doc to 'doc' as per override file

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Oct 2002 20:26:33 -0500

octave2.1 (2.1.37-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.37 released today
  * mk-opts.pl: Applied three-line post-release patch from JWE
  * debian/control: Added Depends: g++ | g++-3.0, g77 | g77-3.0 for the
    octave2.1-headers sub-package as configure hard-wires a dependency to
    these at built time; ia64 needs the g*-3.0 version (Closes: #160818)
  * This release also closes the following bug report
    - lsode documentation (Closes: #151026)
    - gammainc breaks on large values (Closes: #165808)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Oct 2002 21:32:52 -0500

octave2.1 (2.1.36-6) unstable; urgency=low

  * debian/rules: Brown bag fix for m68k/g77; and Debian has currently no
    infrastructure to hand-compile on m68k, this unfortunately needs to
    recompile needlessly on ten other architectures too. (Closes: #159765)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  6 Sep 2002 20:35:56 -0500

octave2.1 (2.1.36-5) unstable; urgency=low

  * debian/octave2.1-emacsen.emacsen-startup: Autoload octave-hlp under
    the correct function label of octave-help (Closes: #154045)
  * debian/{rules,control}: Do not configure for Atlas on arm

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Aug 2002 06:16:13 -0500

octave2.1 (2.1.36-3woody4) woody-proposed-updates; urgency=low

  * Backport for woody built against atlas with corrected virtual Depends
    on blas/atlas to prevent bugs like #150253 and #152284 in woody
  * debian/octave2.1-emacsen.emacsen-startup: Autoload inferior-octave
  * debian/rules: Use "-O0 -g0" on arm and m68k to shorten compile time
  * debian/rules: No longer use f2c on m68k
  * debian/control: Adjusted Build-Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Jul 2002 21:49:44 -0500

octave2.1 (2.1.36-4) unstable; urgency=low

  * debian/rules: Configure with --with-lapack=/usr/lib/liblapack2.so

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  4 Jun 2002 21:07:15 -0500

octave2.1 (2.1.36-3) unstable; urgency=low

  * debian/control: Build-Depends on atlas2-base-dev, not blas-dev
  * debian/rules: Configure with --with-blas=/usr/lib/libblas2.so

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 May 2002 22:32:17 -0500

octave2.1 (2.1.36-2) unstable; urgency=low

  * debian/octave2.1.lintian: Updated rpath warning for octave-2.1.36
  * debian/rules: Reset default compiler(s) on i386 to gcc 2.9* and
    rebuilt, the test value of 3.0.* was used which will then require
    the same compilers for add-on packages.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 May 2002 12:25:40 -0500

octave2.1 (2.1.36-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.36
  * debian/control: Added Build-Depends on texi2html (split from tetex-bin)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 May 2002 00:22:42 -0500

octave2.1 (2.1.35-7) unstable; urgency=low

  * debian/rules: Remove doc/faq/Octave-FAQ_toc.html during clean so that
    the html version of the Octave FAQ gets rebuilt (Closes: #134046)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Feb 2002 12:06:39 -0600

octave2.1 (2.1.35-6) unstable; urgency=low

  * debian/control: Spelling correction (Closes: #125202)
  * debian/control: Labelled Description: lines with (2.1 branch)
  * Bbuilt against new fftw libraries for finer-grained fftw dependencies
  * debian/control: Build-Depends: fftw-dev (>= 2.1.3-10) (Closes: #128778)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Jan 2002 14:40:21 -0600

octave2.1 (2.1.35-5) unstable; urgency=low

  * debian/octave2.0-emacsen-{prerm,postinst}: Let dh_installemacsen deal
    with the call to emacsen-install (Closes: #123900)
  * debian/rules: Still rename emacsen startup to 50octave.el rather
    than the default 50octave2.0-emacsen.el of its package name

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Dec 2001 19:28:11 -0600

octave2.1 (2.1.35-4) unstable; urgency=low

  * debian/control: Added Depends: texinfo for octave2.1 (Closes: #122857)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  7 Dec 2001 19:22:25 -0600

octave2.1 (2.1.35-3) unstable; urgency=low

  * debian/control: Added dejagnu to Build-Depends
  * debian/README.Atlas: Updated to reflect autoMAGIC loading of Atlas lib
    with ldconfig from libc6_2.2.4-5 or later -- thanks, Ben Collins!
  * debian/rules: Do not configure --with-hdf5 as this appears to prevent
    transition into the testing distribution, was only used on i386 anyway
  * debian/control: Removed Build-Depends on "libhdf5-serial-dev [i386]"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 24 Nov 2001 08:18:46 -0600

octave2.1 (2.1.35-2) unstable; urgency=low

  * debian/octave2.1-emacsen.emacsen-startup: Applied patch by Rafael
    Laboissiere <rafael@debian.org> (Closes: #118188)
  * debian/octave2.1-emacsen.emacsen-remove: Make corresponding change

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  4 Nov 2001 07:25:02 -0600

octave2.1 (2.1.35-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.35
  * This upstream release supports gcc versions 2.9.x and 3.0.x so
    we do not need the full patch by Jeff Licquia <jlicquia@progeny.com>
    but use parts of it (in deban/rules and debian/control) to select
    gcc/g++/g77 3.0 on the ia64 architecture. (Closes: #117929)
  * debian/rules: Added --with-fftw to use Fast Fourier Transf. libraries
  * debian/control: Added fftw-dev to Build-Depends
  * debian/rules: Install .el files into octave2.1-emacsen, not octave
  * debian/50octave.el: Apply small patch to correct loading
  * Thanks to Rafael Laboissiere <rafael@debian.org> for both the
    suggestion and the patch (Closes: #117581)
  * debian/otags.1: contributed simple manual page (lintian)
  * debian/octave2.1-emacsen.{postinst,prerm}: dpkg-alternatives for otags

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  2 Nov 2001 18:53:02 -0600

octave2.1 (2.1.34-6) unstable; urgency=low

  * debian/rules: Configure --with-fastblas=blas (available on nine
    architectures), Atlas can dynamically override this where available
  * debian/control: Changed atlas reference to blas for Build-Depends,
    requires versioned Build-Depends on blas-dev (>= 1.0-9)
  * debian/README.Atlas: Added simple README file on Atlas
  * debian/mkoctfile.in: New upstream version, better f2c treatment

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2001 21:37:15 -0500

octave2.1 (2.1.34-5) unstable; urgency=low

  * Rebuilt against atlas2 3.2.1 (Closes: #104014)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Jul 2001 11:52:06 -0500

octave2.1 (2.1.34-4) unstable; urgency=low

  * debian/rules: Make support for Atlas and HDF5 conditional on the
    build architecture -- i386, alpha and sparc have atlas2 packages,
    the others do not. Similarly, currently only i386 has hdf5 support.
  * debian/control: Adjust Build-Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Jun 2001 22:45:08 -0500

octave2.1 (2.1.34-3) unstable; urgency=low

  * debian/rules: configure with support for HDF5 data (thanks wolfie!)
  * debian/control: Build-Depends on libhdf5-serial-dev
  * debian/control: Upgraded Standards-Version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jun 2001 22:27:52 -0500

octave2.1 (2.1.34-2) unstable; urgency=low

  * Makeconf.in: Reverted back to version as of a few days ago as the patch
    included into 2.1.34 at the last minute prevents a proper installation
    of the octave header files

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Apr 2001 16:18:03 -0500

octave2.1 (2.1.34-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.34
  * debian/octave2.1-info.{prerm,postinst}: small lintian cleanups

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Apr 2001 21:24:18 -0500

octave2.1 (2.1.33-3) unstable; urgency=low

  * liboctave/oct-rl-edit.c: Applied patch by Rene H. Larsen <rhl@traceroute.dk>
    to update Octave to the API of version 4.2 of the readline library;
    this is also fixed upstream in CVS (Closes: #93539, #93564, #94093)
  * debian/rules: install lintian overrides file to tell lintian to not
    worry about the dynamic libraries in /usr/lib/octave-2.1.33/

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Apr 2001 21:44:43 -0500

octave2.1 (2.1.33-2) unstable; urgency=low

  * debian/control: Declare octave2.1-headers as Architecture: any as it
    contains mkoctfile with its arch-specific options (Closes: #89563)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Mar 2001 19:59:54 -0600

octave2.1 (2.1.33-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.33
  * debian/control: octave2.1-emacsen depends on octave2.1 || octave2.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Feb 2001 20:51:23 -0600

octave2.1 (2.1.32-2) unstable; urgency=low

  * liboctave/Range.cc: Applied another patch by JWE
  * debian/control: octave2.1 conflicts with octave (<= 2.0.16-2)
  * debian/control: octave2.1-htmldoc conflicts with octave-htmldoc
  * debian/control: octave2.1* packages depend on octave (= ${Source-Version})
    to ensure proper transition from the pre-octave2.{0,1} packages in potato

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Dec 2000 16:11:41 -0600

octave2.1 (2.1.32-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.32
  * debian/rules: Applied small Hurd patch by Marcus (Closes: #77939)
    Patch is also integrated upstream for configure.in
  * debian/control: octave2.1-emacsen conflicts with octave (<= 2.0.16)
    in case new "empty transition" octave (>= 2.0.16.91) is not installed
  * liboctave/Range.cc: Applied patch by JWE

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Dec 2000 20:13:11 -0600

octave2.1 (2.1.31-5) unstable; urgency=low

  * debian/control: Added gnuplot to build-depends
  * debian/rules: Added dependencies on install and check for binary-indep

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Oct 2000 11:04:35 -0500

octave2.1 (2.1.31-4) unstable; urgency=low

  * debian/rules: Add -n to package-specific dh_installdocs calls
    to suppress double post{inst,rm} entries (Closes: #75474)
  * debian/control: Add Provides: octave for octave2.1 (Closes: #75489)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Oct 2000 21:38:29 -0500

octave2.1 (2.1.31-3) unstable; urgency=low

  * debian/control: Let octave2.1-htmldoc also provide octave-htmldoc
    to satisfy outside dependencies as in task-science (Closes: #74866)
  * debian/control: Corresponding changes for the -doc and -info packages

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Oct 2000 20:18:59 -0500

octave2.1 (2.1.31-2) unstable; urgency=low

  * debian/control: Let octave2.1-htmldoc conflict with and replace the
    older octave-htmldoc to allow overwriting of files (Closes: #69573)
  * debian/control: octave2.0-info conflicts with octave (<= 2.0.16)
  * debian/rules: Comment out dh_undocumented call (Closes: #70495)
  * Bug report #70037 cannot be replicated here on a fresh install, the
    likely cause is probably an upgrade issue which is tougher to debug
    leading to a tentative closing of the bug report and the suggestion
    to reopen should the bug reappear. (Closes: #70037)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Oct 2000 19:16:29 -0500

octave2.0 (2.0.16.91-4) unstable; urgency=low

  * debian/rules: Remove spurious ":/usr/local/" file tree below
    /usr/share/octave/$(version)/site/m/  (Closes: #68515)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Aug 2000 19:36:32 -0400

octave2.1 (2.1.31-1) unstable; urgency=low

  * Upgraded to new Octave development release 2.1.31
  * debian/rules: Configure and build with the newly added support for the
    self-tuning Atlas blas (this creates a dependency on atlas2)
  * debian/control: Added gperf and atlas2-dev to Build-Depends
  * debian/rules: Ensure man page for mkoctfile-$VERSION is picked up by
    update-alternatice for the octace2.1-headers package (Closes: #67080)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Jul 2000 21:23:55 -0400

octave2.1 (2.1.30-2) unstable; urgency=low

  * debian/octave2.1-emacsen.emacsen-install:  added '-vanilla' to $flags
  * debian/control: Added g77, libreadline4-dev and libncurses5-dev to
    Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  7 Jun 2000 19:57:54 -0400

octave (2.0.16-2) frozen; urgency=low

  * Added code to emacsen-installer to define the defgroup macro (which is
    needed for emacs19) (Closes: #62822)
  * Added Depends: on debianutils (>= 1.6) as we need tempfile(1) in the
    emacsen installer script (Closes: #62825)
  * Thanks to Yann Dirson <ydirson@altern.org> for help on this one.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Apr 2000 21:24:06 -0400

octave2.1 (2.1.30-1) unstable; urgency=low

  * First release of Octave based on the 2.1.* development series
  * Built with a new setup which allows a parallel installation of 2.0.*
    and 2.1.* -- this requires matching octave2.0 packages which are being
    provided based on 2.0.16.91, the most recent stable release.

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  6 Apr 2000 19:14:17 -0400

octave (2.0.16.91-1) unstable; urgency=low

  * Upgraded to second pre-release of Octave 2.0.17
  * emacs/octave-mod.el: Applied patch by Stephen Eglen to suppress
    (innocent) font-lock warning by xemacs on operators (Closes: #60920)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Mar 2000 23:42:08 -0500

octave (2.0.16.90-3) unstable; urgency=low

  * debian/rules: Delete some files that are erroneously left over from
    the package building process (Closes: #59994)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  9 Mar 2000 20:24:47 -0500

octave (2.0.16.90-2) unstable; urgency=low

  * Contributed a manual page octave-bug.1 (Closes: #59353)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  8 Mar 2000 20:48:44 -0500

octave (2.0.16.90-1) unstable; urgency=low

  * Upgraded to first pre-release of Octave 2.0.17

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Feb 2000 13:12:58 -0500

octave (2.0.16-1) frozen unstable; urgency=low

  * Upgraded to new upstream stable release
  * As this fixes several small bugs reported on the bug-octave mailing
    list, it would be good if this version could be included in potato
  * Applied trivial patch to saveimage.m (Closes: #29932)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Jan 2000 19:14:45 -0500

octave (2.0.15-1) unstable; urgency=low

  * Upgraded to release 2.0.15 of Octave
  * Created new package octave-headers as the include files are only
    needed for compiling C++ (or C or Fortran) against Octave -- this
    saves over 700kB (installed) from the basic Octave package.
  * Built using the libreadline4 package
  * debian/control: Added Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Jan 2000 16:20:19 -0500

octave (2.0.14.93-1) unstable; urgency=low

  * Upgraded to fourth pre-release of Octave 2.0.15

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Nov 1999 18:12:58 -0500

octave (2.0.14.92-1) unstable; urgency=low

  * Upgraded to third pre-release of Octave 2.0.15
  * debian/control: Changed Standards-Version to 3.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Nov 1999 20:34:06 -0500

octave (2.0.14.91-1) unstable; urgency=low

  * Upgraded to second pre-release of Octave 2.0.15
  * debian/menu: Created as the menu package will stop providing one

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Oct 1999 00:35:55 -0400

octave (2.0.14.90-2) unstable; urgency=low

  * debian/rules: Don't let dh_installemacsen modify postinst and prerm,
    rather use our previous code which first tests for emacsen-commen so
    that we don't have to depend on it (Closes: #44924)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Sep 1999 14:39:11 -0400

octave (2.0.14.90-1) unstable; urgency=low

  * Upgraded to first pre-release of Octave 2.0.15
  * Reverted back to using the supplied readline sources instead of our
    library as we do not carry libreadline-4.0 ourselves. Once Guy
    provides it, Octave will use it.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Sep 1999 11:43:48 -0400

octave (2.0.14-4) unstable; urgency=low

  * debian/rules: Adapted to use /usr/share/ following the recommendation
    on FHS transition from the Technical Committee (Closes: #44594)
  * debian/rules: Test for debhelper >= 2.0.40 for FHS compliance
  * debian/control: Upgraded to Debian Policy 3.0.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  9 Sep 1999 21:04:15 -0400

octave (2.0.14-3) unstable; urgency=low

  * Recompiled under libstdc++2.10 trying to get rid of the errorneous
    double Depends: on libstdc++ (Closes: #44388)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  5 Sep 1999 16:31:51 -0400

octave (2.0.14-2) unstable; urgency=low

  * Recompiled under libc6_2.1.2-0pre7 and libstdc++2.9-glib2.1_2.91.66-2

  * src/sysdep.cc: Added `#include termcap' conditional on HAVE_TERMCAP_H
    and modified one prototype to compile with gcc-2.95 as suggested by
    John W. Eaton and discussed on the octave-bug mailing list

  * debian/octave.install: Corrected (harmless) typo in emacsen install
    script (Closes: #36860)
  * debian/octave.el: Added call of octave-hlp to Emacsen startup file

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 1999 17:26:47 -0400

octave (2.0.14-1) unstable; urgency=low

  * Upgraded to new upstream release 2.0.14

  * debian/postinst: Set ownership and mode of /usr/local/share/octave
    explicitly to root.staff and 2755 (fixes #35751)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Apr 1999 23:11:36 -0400

octave (2.0.13.97-1) unstable; urgency=low

  * Upgraded to eigth pre-release of Octave 2.0.14

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Mar 1999 07:58:40 -0500

octave (2.0.13.96-3) unstable; urgency=low

  * Starting with this release of the Debian package, Octave is linked
    against Debian's copy of libreadline (instead of its own) as Debian's
    libreadline package now provides all the needed symbols (fixes #27707)
  * debian/shlibs.local: Added to depend on libreadline2g-2.1-13

  * debian/rules: Added powerpc support. Thanks to Konstantinos
    Margaritis <kmargar@cc.uoa.gr> for the patch.

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Mar 1999 20:15:53 -0500

octave (2.0.13.96-2) unstable; urgency=low

  * debian/octave.conffiles: Registered the emacs config file
    /etc/emacs/site-start.d/50octave.el as a conffile (fixes #32802)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  9 Feb 1999 19:05:03 -0500

octave (2.0.13.96-1) unstable; urgency=low

  * Upgraded to seventh pre-release of Octave 2.0.14
  * Also install the contributed otags script for tags generation

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Jan 1999 19:09:47 -0500

octave (2.0.13.95-1) frozen unstable; urgency=low

  * Upgraded to sixth pre-release of Octave 2.0.14
  * Recompiled under libc6_2.0.7u-7.1 to get rid of libc6_2.0.7u dependence

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Dec 1998 19:52:59 -0500

octave (2.0.13.94-2) frozen unstable; urgency=low

  * Applied patch from foka@debian.org to mkoctfile.in (fixes #30377)
  * Made emacsen install script output slightly less verbose
  * Upgraded to Standards-Version 2.5.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  5 Dec 1998 11:55:59 -0500

octave (2.0.13.94-1) frozen unstable; urgency=low

  * Upgraded to fifth pre-release of Octave 2.0.14
  * Applied (modified) patch by Rafael Laboissiere <rafael@icp.inpg.fr> to
    emacsen install script for [x]emacs handling of 'no-site-file' script
  * While this does not formally close an open Debian bug, it should go
    into frozen as the previous four pre-releases of Octave-2.0.14

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  4 Dec 1998 20:44:57 -0500

octave (2.0.13.93-1) frozen unstable; urgency=low

  * Upgraded to fourth pre-release of Octave 2.0.14 which contains
    an upstream bug fix to Bessel function arguments
  * Built properly with upstream sources in octave_2.0.13.93.orig.tar.gz
    so that a .diff.gz is built (fixes #29674)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Nov 1998 19:51:24 -0500

octave (2.0.13.92-1) frozen unstable; urgency=low

  * Upgraded to third pre-release of Octave 2.0.14
  * Among other things, this defines __NO_MATH_INLINES to prevent the use
    of inlines in /usr/include/__math.h which cannot cope with expressions
    like exp(Inf). My thanks to John Eaton for having debugged this, on my
    computer ;-) (fixed #27516)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  6 Nov 1998 23:35:06 -0500

octave (2.0.13.91-1) unstable; urgency=low

  * Upgraded to second pre-release of Octave 2.0.14

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Oct 1998 20:12:40 -0500

octave (2.0.13.90-1) unstable; urgency=low

  * Upgraded to first pre-release of Octave 2.0.14
  * Modified emacsen install file to be more silent
  * Added new package octave-htmldoc with html documentation
  * debian/rules: Added 'make check' to use DejaGnu regression suite

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Oct 1998 19:16:46 -0400

octave (2.0.13-6) unstable; urgency=low

  * Recompiled under egcs_2.91.57 and libstdc++_2.91.57 (fixes #26776)
  * Changed cursor keybindings for inferior-octave-mode to comments in
    /etc/emacs/site-start.d/50octave.el; now the Emacs mode for Octave is
    consistent with other comint modes, on the other hand, the code that is
    commented out makes the mode consistent with Octave's own shell. The
    difference is whether cursor keys or M-p,M-n are used to scroll
    through the readline history (fixes #26468)
  * Applied patch by Mumit Khan for use with newer egcs compiler
    (http://www.che.wisc.edu/octave/mailing-lists/bug-octave/1998/270)
  * Changed debian/rules to also install ChangeLog file from
    subdirectories of the Octave source tree

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Sep 1998 12:34:22 -0400

octave (2.0.13-5) unstable; urgency=low

  * Added the default LOADPATH to LOADPATH setting in /etc/octave.conf
  * Changed emacsen-common to be more tolerant on rmdir (fixes #24490)
  * Corrected cosmetic type in emacsen-common 'remove' script (fixes #24497)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Jul 1998 18:21:34 -0400

octave (2.0.13-4) frozen unstable; urgency=medium

  * Applied patch by Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
    to configure{,.in} to also use the -rpath linker option on non-Intel
    Linux systems to allow for dynamic linking of Octave libraries. While
    this change does not affect i386 systems, it fixes an important bug for
    other Debian architectures and should go into frozen (fixes #23674)
  * Changed debian/rules to use --with-f2c argument for configure under
    m68k, and --with-g77 (from the egcs suite) under i386, sparc and alpha.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jun 1998 19:47:42 -0400

octave (2.0.13-3) unstable; urgency=low

  * Changed debian/rules to set CC=egcc only after an explicit test for
    either of i386, alpha or sparc (fixes #23293)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  9 Jun 1998 18:51:59 -0400

octave (2.0.13-2) frozen unstable; urgency=low

  * Reuploaded stable release 2.0.13 to replace the test-release 2.0.12.90 in
    'frozen' which corrects one serious bug in 2.0.12.90 (fixes #22807)
  * Changed /etc/emacs/site-start.d/50octave.el to add a flavour-dependent
    directory to emacs load-path

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 May 1998 20:16:24 -0400

octave (2.0.13-1) unstable; urgency=low

  * Upgraded to new upstream release 2.0.13

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 May 1998 22:11:22 -0400

octave (2.0.12.91-1) unstable; urgency=low

  * Upgraded to new upstream test-release 2.0.12.91

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 May 1998 20:00:25 -0400

octave (2.0.12.90-1) unstable frozen; urgency=low

  * Upgraded to new upstream test-release 2.0.12.90 (fixes #22424)
  * Changed debian/rules to remove usr/info/dir (fixes #22491)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 1998 13:09:40 -0400

octave (2.0.12-1) unstable frozen; urgency=low

  * Upgraded to new upstream version.

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 May 1998 08:20:05 -0400

octave (2.0.11.94-1) unstable; urgency=low

  * Upgraded to new upstream test-release 2.0.11.94

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Apr 1998 07:46:22 -0400

octave (2.0.11.93-1) unstable; urgency=low

  * Upgraded to new upstream test-release 2.0.11.93
  * Adapted to new Emacsen policy (fixes #20372, #21222)
  * Converted debian/rules to debhelper

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Apr 1998 18:28:31 -0400

octave (2.0.11.92-3) unstable; urgency=low

  * Fixed dependency on info to "info (>= 3.12)"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Apr 1998 18:44:10 -0400

octave (2.0.11.92-2) unstable; urgency=low,

  * Added Depends: on "info (>= 3.12-1) | info-browser" to debian/control
    as Octave no longer comes with an info binary
  * Added explicit setting of INFO_PROGRAM = "/usr/bin/info" to
    /etc/octave.conf as the default INFO_PROGRAM still points to the old
    location

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Apr 1998 22:46:32 -0400

octave (2.0.11.92-1) unstable; urgency=low

  * Upgraded to new upstream test-release 2.0.11.92
  * Compiled with libstdc++2.8_2.90.27-0.6 which provides a correctly
    versioned shlibs file (fixes #20033, #20978)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Apr 1998 18:41:21 -0400

octave (2.0.11.91-1) unstable; urgency=low

  * Upgraded to new upstream test-release 2.0.11.91
  * This fixes a couple of small bugs, one of them dear to to fellow
    Debianer Jim van Zandt, and as a test-release might as well go into
    our current 'unstable' distribution. I have used previous pre-releases
    and they work just as well --- call it the pre-patch methodology
    spreading into application space ;-)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Apr 1998 11:51:56 -0400

octave (2.0.11-2) frozen unstable; urgency=low

  * Compilation with new gcc/g77/g++ 2.90.26 based on egcs
  * Changed debian/rules by adding a Perl one-liner substition so that
    /usr/bin/octave-bug will use tempfile(1) to create a temporary
    filename; also sent the sources for debianutils-1.8 upstream so that
    they might be included in the next release (fixes #19804)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Mar 1998 18:41:12 -0500

octave (2.0.11-1) unstable; urgency=low

  * Upgraded to new upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Feb 1998 18:33:04 -0500

octave (2.0.10-2) unstable; urgency=low

  * Compilation with f2c instead of g77 in order to get a libc6 version
    going (see bug report #17963 filed against g77)

  * Added Replaces: octave (<= 2.0.5-2) to control for octave-staticlibs
    to cleanly replace the static libraries from the older octave package
    as well as an explicit version number for the Depends: on octave
    (thanks to Richard Braakman for the hints)

  * Fixed FSF address in copyright (lintian)
  * Made octave.rc to /etc/octave.conf symlink absolute (lintian)
  * Created links to ../man7/undocumented.7.gz in lieu of manual pages
    for the two utility scripts octave-bug and mkoctfile (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Feb 1998 18:32:27 -0500

octave (2.0.10-1) unstable; urgency=low

  * Upgraded to new upstream version

  * This version is compiled on a libc5 system as g77/gcc and eg77/egcc
    (including the new {gcc,g77}_2.90.23-1) both die on some legacy
    Fortran code on a libc6 system. Major bummer.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 8 Feb 1998 17:05:07 -0500

octave (2.0.9-2) unstable; urgency=low

  * Compiled with GNU libc2 aka libc6 (fixes bug #11739)
  * Create a new file /usr/share/octave/ls-R file from the postinst
  * Now ships the unmodified upstream source as octave_2.0.9.orig.tar.gz
  * Byte-compile the octave-{mod,hlp,inf}.el files
  * Includes two newer octave-{mod,inf} files and add an elisp startup
    file /etc/emacs/site-start.d/50octave.el (thanks to Nils Naumann)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 Nov 1997 17:13:31 -0500

octave (2.0.9-1) unstable; urgency=low

  * Upgraded to new upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Jul 1997 19:19:12 -0400

octave (2.0.8-1) unstable; urgency=low

  * Upgraded to new upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Jun 1997 20:02:03 -0400

octave (2.0.7-1) unstable; urgency=low

  * upgraded to new upstream version (bug #10419)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 7 Jun 1997 13:42:21 -0400

octave (2.0.6-1) unstable; urgency=low

  * upgraded to new upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 May 1997 18:50:13 -0400

octave (2.0.5-3) unstable; urgency=low

  * added creation of /usr/local/share/octave/site-m in the postinst if
    /usr/local filesystem is writable and removal of the directories
    /usr/local/share/octave/site-m and /usr/local/share/octave/site-m in
    the prerm if they are empty to reflect Debian policy on /usr/local/
  * moved configuration file /usr/share/octave/site/m/startup/octaverc
    into /etc/octave.conf and provided a softlink from the default location
  * added LOADPATH setting to octave.conf aka octaverc for the local tree
  * made /etc/octave.conf a conffile
  * moved static libs into a seperate package (which is not needed for
    normal use of octave) --- this saves 4.4 MB of diskspace
  * patched mkoctfile.in to add a flag for stripping to /usr/bin/mkoctfile
  * changed configure to explicit setting of host architecture

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Apr 1997 19:06:03 -0400

octave (2.0.5-2) unstable; urgency=low

  * rewrote debian/rules:
    - configure for dynamic loading, shared libs  and lite kernel which
      allows dynamic extension of the octave language via user provided
      C++ programs; examples are in /usr/doc/octave/examples
    - configure prefix /usr; install prefix debian/tmp/usr (fixes bug #8139)
    - configure for libs in /usr/lib/octave to avoid clashed
    - include upstream postscript docs
  * rewrote Description in debian/control:
  * changed Priority: to optional as per overrides file
  * changed Suggests: from info to virtual package info-browser
  * created new package octave-doc for postscript docs on octave
  * updated debian/copyright
  * new maintainer

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Mar 1997 22:15:30 -0500

octave (2.0.5-1) unstable; urgency=low

  * tracking upstream source, upgraded to newest release
  * put *.el files back in /usr/lib/emacs/site-lisp bug #7457
  * also bugs #7144, 7282, and 7532 are fixed with this release.

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 10 Mar 1997 21:47:07 -0500

octave (2.0.2-2) unstable; urgency=low

  * bug#7020 removed static libraries from the installation
  * bug#7021 corrected spelling errors
  * applied patch from upstream for pipes fix

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 2 Feb 1997 20:19:27 -0500

octave (2.0.2-1) unstable; urgency=low

  * New upstream source

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 29 Jan 1997 12:18:29 -0500

octave (2.0.1-2) unstable; urgency=low

  * corrected unreferenced dependencies

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 27 Jan 1997 09:45:30 -0500

octave (2.0.1-1) unstable; urgency=low

  * Bug# 6028, 6044, 6416, Moved to newer release.
  * Bug# 5096, referenced binary no longer exists.

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 26 Jan 1997 16:16:43 -0500

octave (1.1.1-8) frozen unstable; urgency=low

  * built with static libc5.2.18

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 26 Nov 1996 13:49:37 -0500

octave (1.1.1-7) unstable; urgency=low

  * converted to Standards-Version 2.1.0.0

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 14 Oct 1996 08:42:54 -0400
